---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

permalink: /feed.xml
title: Pebble SDK 2.0 BETA0 - Changelog
date: 2013-11-01
---

This version is a preview of what will be publicly released soon as a BETA. This means that it is the last time we introduce large changes to the APIs, they will be much more stable in the future.

It includes some last significant changes that will impact every application.

 * We have changed the format of the `wscript` file. **You must update your wscript file.** The easiest way to do this is to generate a new project with `pebble new-project` and use the generated `wscript`.
 * Header files `pebble_os.h`, `pebble_app.h` and `pebble_fonts.h` are replaced by `pebble.h`
 * `click_config_provider()` signature has changed and instead of filling a struct, you call `window_*_click_subscribe`. Please refer to the [Migration Guide](/guides/migration/).
 * On AppMessage:
   * We have changed the signature of most AppMessage functions. Please refer to the [Migration Guide](/guides/migration/).
   * We have added functions to query the size of the AppMessage buffers. They still return the same value that in previous versions ... for now.
 * We have added a [Mobile Developer Guide](/guides/communication/) covering PebbleKit iOS and Android. Please take a look at them, they should answer lots of questions.
 * [PebbleKit Android Documentation](/guides/communication/using-pebblekit-android) is now available on the website and in the SDK `Documentation` folder.
 * We have done a lot of work on PebbleKit JavaScript:
   * The [documentation](/guides/communication/using-pebblekit-js) describes the new model for loading and stopping JavaScript apps. You should take a look.
   * On Android only (for now) apps will automatically start when they get a message from Pebble.
   * On Android only (for now) you can use the gear icon to open a configuration window on the phone.
   * You can now call `Pebble.addEventListener` instead of `PebbleEventListener.addEventListener`
 * DataLogging is now supported on Android, iOS6 and iOS7

 * And of course we have fixed a large quantities of bugs.

This is a private release under NDA.
