---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.0 BETA1 - Changelog
date: 2013-11-06
---

 * Pebble SDK 2.0 is currently in BETA and intended for developers only.
 * SDK 2.0 will be released later this year as an over-the-air update to all Pebble users.
 * Applications written for Pebble 1.x are not compatible with SDK 2.0
 * ANCS Notifications (aka BLE notifications) are not supported for iOS users in this version

Updates:

 * 2013 11 07: Added a firmware for watch with serial number starting with a 'Q' (aka hardware 1.5)

## What has changed since BETA0

### User Bug Fixes and Feature Enhancements

 - Fixed crashing bugs on the iOS app. Users should experience improved stability.
 - New iOS users no longer need to manage access to their address book in order to see Caller ID on their Pebble.
 - The iOS app does not overflow the banner bar (at the top of the screen) on iOS7
 - The Pebble now can show >80 unread notifications, up from 8 previously.
 - Backlight is triggered on a tap from any of the 6 axes of the watch
 - Android app stability has been improved
 - On Android, switching orientation while updating firmware does not stop the firmware update
 - The music app now stays open rather than switching back to the menu after 1 minute

### Known User Issues

 - The status indication button in the main screen sometimes repeatedly throbs green then red, repeatedly.
 - (iOS7 users, iPhone4S and higher) If you select "Enable Notifications" and select the Cancel button in the system alert that comes up, it can take up to 30 seconds for the iOS app to allow selection of "Enable Notifications" again. As a workaround, if you launched this screen from the Status screen, you can hit the up arrow, then the red "Not receiving notifications" button, and retry enabling notifications again.
 - In certain conditions if you enable and disable Airplane mode on your Pebble, you may need to restart the Pebble iOS app completely in order to re-enable notifications again
 - On Android, you may need to restart the Pebble app after installing a new version of a JavaScript app to ensure that your changes are successfully loaded.
 - On Android, use of HTML5 local storage does not guarantee data will be saved across sessions.
 - Duplicate APP_LOG messages can be received while using the pebble tool; these are intermittent and developers should use timestamps to identify duplicates
 - If there is not enough app heap remaining, some essential functions that allocate on that heap will fail, such as system fonts or persistent storage
 - The iOS app can sometimes crash when opening a PBW file if it is not already running

### Developer Bug Fixes and Enhancements (Major Feature Enhancements are covered in the SDK)

 - Apps now only need one Pebble specific header, pebble.h
 - Exiting an app showing no windows will now not crash the Pebble
 - Pebble will not crash when cancelling an already cancelled timer
 - Pebble will not crash when cancelling an unregistered timer
 - Holding the up or down buttons now cause repeated clicks in menus
 - Changed the default stroke color to Black instead of White, as the default background color is White
 - Apps now cannot overwrite the system memory, and will be terminated if they attempt to
 - Int type changes on many APIs to ensure future compatability
 - User data can be attached to a window
 - The pebble tool displays an error message if you try to install an application that is not compatible with the target firmware
 - The menu icon resource is displayed even if it is not the first resource
 - Libpebble times out if no apps are installed
 - The valid range for UUIDs has changed - see the developer documentation
 - The Android app now installs bundles in Gmail attachments
 - System fonts now show capital W, Q and O
 - `pebble Install`` will now install even if the Android app is left in the “Update” screen
 - Apps will not crash if a text layer is not large enough to hold the requested text
 - `pebble install --logs` proceeds to tail logs even when install fails
 - Apps will not crash when popping/removing already popped/removed windows from the stack

