---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.0 BETA6 - Changelog
date: 2014-01-17
---

 * Pebble SDK 2.0 is currently in BETA and intended for developers only.
 * Applications written for Pebble 1.x are not compatible with SDK 2.0
 * If a 2.0 version of an application exists, the Pebble mobile applications will automatically install it when when a user upgrades her/his Pebble.


> **IMPORTANT NOTES FOR iOS Users**:
>
> * You must delete the Pebble app on your phone before installing this new version. It will now be called "Pebble Dev" and not "Pebble.". You must also re-install all of your JavaScript apps after installing this new version.
>
> * iPhone5S, iPad Air and Retina iPad Mini users will need to manually pair in the **Settings** of the phone.

## What has changed since BETA5

Overview:

 - The iOS Application distributed with BETA6 includes the new Pebble appstore
 - The firmware fixes a number of hard to reproduce crashes with system timers. This will fix a lot of the "Dangerously rebooting" Pebble crashes.

### Known Problems and limitations

 * `getAccountToken()` (in PebbleKit JS) is not working yet. It currently returns a random string. In an upcoming update (before 2.0) it will return a unique token linked to the Pebble user account.
 This is tied with appstore functionnalities and not available yet in this beta build.
 * The bugs that were reported on datalogging-iOS on BETA5 are not fixed yet in this release

### Changes for Firmware:

 * Rework the system timer to fix all timer related crashes
 * Add support for Pebble Steel LED to show charging status
 * Round rather than floor the battery charge percentage
 * Reverted timings for stm32 for 64MHz system clock based on stable 16Hz SPI clock.  Fixes display flicker at 30Hz, as well as saving power at the lower system clock (80->64) and sleeping more often due to faster display updates.
 * Fix a crash when canceling the bluetooth pairing dialog
 * Fix a bug where pushing a window in a window_unload callback would cause a crash
 * Export AccelData structure in the API doc
 * Vibrate when an app or watchface is installed
 * Fix a bug where the phone modal window would not update properly
 * Fix the light threshold for Pebble Steel

### Changes for Pebble iOS App:

 * Added the Pebble appstore
 * Added support for In-App Notifications
 * Add support for migrating 1.x apps into 2.0 apps
 * Fix a bug where the iOS app could crash when you switch away from a JavaScript app that has an ongoing network connection
 * PebbleKit JS iOS: sendAppMessage() now returns a transaction id

### Changes for Pebble Android App:

 * No changes.

### Changes for PebbleKit iOS:

 * add isNewer convenience call to PBWatch+Version
 * move NSJSONSerialization helper to PebbleVendor
 * add isEqualVersionOnly to just compare version number components, ignoring timestamp & hash

### Changes for PebbleKit Android:

 * No changes.

### Changes for SDK Tools:

 * Fix spelling in an error message (s/Insure/Ensure/)

### Changes for Examples:

 * No changes.

### Changes for Documentation:

 * Fix a 404 on the pebble tool link in the JS guide
 * Fix the persistence guide to reflect the new standardized parameters orders
 * Fix a typo in the title of the UI framework guide
 * Added designer resources in the UX design chapter
