---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.0.0 - Changelog
date: 2014-02-03
---

This is the first public release of Pebble SDK 2.0 and Pebble firmware 2.0.

## What has changed since BETA7

Overview:

 * We have fixed various crashes in the firmware (this was pre-released as 2.0-RC, 2.0-RC2 and 2.0-RC3)
 * We have restored support for direct Bluetooth connection from the computer to the pebble in the `pebble` tool
 * PebbleKit iOS now includes armv7s, arm64 and x86_64 libraries - There is a known bug in PebbleKit iOS 2.0.0 that can cause your application to crash when it is in the background. Please do not use this version to submit an application to Apple.

## Known bugs and issues

 * DataLogging disabled

    Pebble iOS 2.0.0 app can enter a crashloop situation when corrupted datalogging bytes are received from Pebble. To avoid this problem, we have disabled the datalogging APIs in firmware 2.0.0. We will re-enable datalogging when the iOS app 2.0.1 is available on the App Store.

 * PebbleKit iOS 2.0.0

    Can cause 3rd party applications to crash when it is in the background. Please do not use this version to submit an application to Apple. This will be fixed in 2.0.1.

### Changes for Firmware:

Changes since 2.0-RC3:

 * fix a deadlock when sending datalogging information
 * remove the "Your Pebble has reset" message

The changes between 2.0-BETA7 and 2.0-RC3 were:

 * fixes a number of crashes
 * app no longer gets killed when it cancels an invalid timer
 * removes “persist_raw -9” message
 * low battery message always uses the right icon
 * fixes crash on watch shutdown
 * fixes crash when using accel

### Changes for PebbleKit iOS:

 * Updated our version of CocoaLumberJack to fix a crash that could happen when logging in the background
 * Updated the build script to actually produce armv7s, arm64 and x86_64 dynamic libraries
 * Improve the datalogging protocol (between PebbleApp and PebbleKit) to be more efficient

### Changes for PebbleKit Android:

No changes.

### Changes for SDK Tools:

 * We have restored support for direct Bluetooth connection from the computer to the pebble in the `pebble` tool
 * Better handling of timeout errors with the websockets

### Changes for Examples:

No changes.

### Changes for Documentation:

 * Add parameter `did_vibrate` to AccelData and explanation.
 * Add parameter `timestamp` to AccelData and explanation.

