---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.1 - Changelog
date: 2014-05-06
---

## What has changed since SDK 2.0.2

Overview:

 * Pebble dynamic memory allocation has been improved and will now detect when you try to free() memory twice. 
   * With Pebble 2.1 your application will be killed and a message is shown in the console so you can detect and fix this problem, instead of potentially causing a memory corruption issue.
 * IMPORTANT: You will need to update your Pebble to run apps built with the 2.1 SDK. Applications compiled with the SDK 2.1 will not appear in the menu and will not run on Pebble firmware 2.0.

## Detailed List of Changes:
### Changes for Firmware:
 * Fixed crash caused by calling number_window_set_label
 * Fixed white line at the bottom of MenuLayer when last row is selected
 * Fixed an issue where the watch would get into a reset loop after boot
 * Fixed issue that sometimes caused persistent storage values to not persist
 * Fixed issue where caller ID shows info from the previous call
 * Fixed caller ID sometimes not displaying on outgoing calls
 * Pebble dynamic memory allocation has been improved. Your application will now be killed when you try to free() memory twice
 * Apps can no longer crash the watch on app exit
 * Bluetooth reconnection is more reliable
 * Battery monitor is more consistent
 * Multiple power reduction improvements
 * Documentation improvements
 * Clip text instead of truncating when vertical space is inadequate
 * Notifications can be cleared via the Notification section in the Settings menu

### Changes for PebbleKit iOS:

 * Some improvements to datalogging to help troubleshoot issues

### Changes for PebbleKit Android:

 * No changes

### Changes for SDK Tools:

 * Allow firmware bundles to be installed with the install command
 * Allow SDK location to be overridden by the `PEBBLE_SDK_PATH` environment variable
 * Replaced PIL with pypng for taking screenshots
 * Fixed extra row always being added to screenshots

### Changes for Examples:

 * Removed ToDoList demo from SDK examples

### Changes for Documentation:

 * Various documentation fixes and improvements