---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.3 - Changelog
date: 2014-06-30
---

## Detailed List of Changes:
### Changes for Firmware:

* Don't generate multiple single click events on release if a repeating click handler is also used
* Fixed a small memory leak when destroying number_layer objects
* Fixed a menu_layer display bug when header height is set to 0
* Allow app developers to supply their own ldscript
* Give a better error message when an unsupported libc function is used
* *_destroy functions now correctly do nothing when called with NULL pointers
* Fixed some BT LE connectivity issues
* Fixed a crash when we ran out of persist space
* Fixed a crash on reconnect when a user had a lot of pending iOS notifications
* Fixed an issue where the watch would continue to vibrate after a call is ended
* Fixed a display issue in Bluetooth settings when the status bar incorrectly says "Now Discoverable" in airplane mode
* Fixed a display issue with the notification font settings
* Fixed a display issue with the music app showing stale information when bluetooth is disconnected.
* Added the ability to skip to the next and previous notification by double clicking the up and down buttons
* Disabled the use of the back button for the Bluetooth pairing screen and the Alarm screen
* Show a status bar icon when notifications are set to "Phone Calls Only"

### Changes for PebbleKit iOS:

* Removed Bluetooth LE code from PebbleKit
* Improvements to data logging to help troubleshoot issues
* Removed PBWatch+PhoneVersion and +Polling
* Made PBWatch+Version report the correct version
* Fixed a crash when calling PBNumber description
* Changed imports from \<PebbleKit/HeaderName.h\> to "HeaderName.h" format
* Fixed on rare race-condition when sending data between phone and watch
* Made PebbleKit.podspec pass most-recent CocoaPod linter
* Prefixed internally used logging classes to fix conflict when using CocoaLumberjack in your app
* Made existing logging more descriptive

### Changes for PebbleKit Android:

No changes

### Changes for SDK Tools:

No changes

### Changes for Examples:

No changes

### Changes for Documentation:

* Added documentation for the calloc libc function
* Documented that text drawing functions use UTF-8 and will return errors on invalid input
