---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.4 - Changelog
date: 2014-08-11
---

## Detailed List of Changes:
### Changes for Firmware:

* Fix a potential crash when using scroll layers or animations
* Added support for realloc
* Added a gbitmap_create\_blank function to create empty bitmaps of a fixed size
* Added number_window\_get_window()
* Fixed a crash with atan2_lookup when high input values were used
* Fixed a bug where TupletInteger could not be used with unsigned integers
* Fixed several bluetooth reliability issues
* Fixed a case where the "Setup notifications" banner would erroneously show in the iOS Pebble app
* Fixed a bug with the music app where media playing faster than real time could not be paused
* Fixed a bug where the notifications view could show a rapidly increasing counter for number of notifications when first displayed
* Fixed a bug where switching watchfaces could cause the same watchface to be relaunched

### Changes for PebbleKit iOS:

No changes

### Changes for PebbleKit Android:

No changes

### Changes for SDK Tools:

No changes

### Changes for Examples:

No changes

### Changes for Documentation:

* Improved documentation around click handling
