---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.6.1 - Changelog
date: 2014-10-01
---

> This release is a hotfix for the SDK 2.6 release

### Changes for SDK Tools:
* Fix bug preventing use of `pebble analyze-size`
* Fix bug that caused compile errors with the use of custom fonts
 
---
### Pebble SDK 2.6 Release Summary ([full changelog](/sdk/changelogs/2.6/))
##### Major Changes:
* Add support for [background apps](/guides/events-and-services/background-worker) with ``AppWorker``
* Add ``graphics_capture_frame_buffer``, ``graphics_release_frame_buffer``, ``graphics_frame_buffer_is_captured`` APIs to expose framebuffer
* Add ``WatchInfo`` APIs to expose watch color, watch model, and firmware version
* Add quick launch support
* Bring back select-button-to-dismiss-notification on Android & iOS < 8
* Add --worker option to `pebble new-project` to create file structure for apps with background workers
* Add background worker [example]({{site.links.examples_org}}/feature-background-counter)
