---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.6 - Changelog
date: 2014-09-30
---

> The symbols for `NUM_ANIMATION_CURVE` and `AnimationTimingFunction` have been removed in SDK 2.6. They were exposed in pebble.h in a previous release, but were not documented and are not used for ``Animation`` or ``PropertyAnimation`` APIs.

## Detailed List of Changes:
### Changes for Firmware:
* Add support for [background apps](/guides/events-and-services/background-worker/) with ``AppWorker``
> NOTE: The Background Worker API is not intended to be used as a wakeup mechanism for timer-based events or activities. SDK 2.7 will include a new Wakeup API that will allow you to set a timer that automatically launches your app in the foreground. Please do not use the Background Worker API to set such wakeups.
* Improve bluetooth connection service by only reporting disconnections of a certain length in time
* Add ``graphics_capture_frame_buffer``, ``graphics_release_frame_buffer``, ``graphics_frame_buffer_is_captured`` APIs to expose framebuffer
* Add ``WatchInfo`` APIs to expose watch color, watch model, and firmware version
* Fix bug where reading an existing key from persistent storage would fail
* Fixed Sports API bug causing menu item to not always appear in app launcher
* Fix bug with PebbleKit iOS and AppMessage timeouts
* Add quick launch support
* Bring back select-button-to-dismiss-notification on Android & iOS < 8
* Re-enable vibration when done charging
* Improve battery life

### Changes for SDK Tools:
* Add a --generate command line option to the coredump command
* Add --worker option to `pebble new-project` to create file structure for apps with background workers

### Changes for Examples:
* Add background worker [example]({{site.links.examples_org}}/feature-background-counter)

### Changes for Documentation:
* Add [AppWorker Guide](/guides/events-and-services/background-worker/)
* Add documentation for ``Worker``, ``AppWorker``, ``WatchInfo``

