---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.7 - Changelog
date: 2014-10-16
---

## Detailed List of Changes:
### Changes for Firmware:
* Add ``Wakeup`` API
* Add ``launch_reason`` API
* Fix a bug that caused ``watch_info_get_color`` to crash the app when used
* Add ``clock_to_timestamp`` API
* Add ``clock_is_timezone_set`` API. In firmware 2.7, this function will always return false
  as timezone support is not yet implemented
* Improve Bluetooth reliability
* Fix bug showing 0% battery warning

### Changes for SDK Tools:
No changes

### Changes for Examples:
* Add [wakeup example]({{site.links.examples_org}}/feature-app-wakeup)

### Changes for Documentation:
* Add ``Wakeup`` API documentation
* Fix bug with missing ``snprintf`` specifier documentation
