---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.8.1 - Changelog
date: 2014-12-09
---

This release fixes a number of bugs and improves BLE pairing on iOS.
See [FW 2.8 Changelog](/sdk/changelogs/2.8/) for new features and major fixes.

## Detailed List of Changes:
### Changes for Firmware:

* Fix bug that would cause the watch to crash when ``accel_data_service_unsubscribe`` was called in a `window_unload` handler
* Revert error return values from ``resource_load_byte_range`` to pre-2.8 behavior
* Speed up BLE pairing on iOS
* Fix a bug that would cause an app to be built incorrectly if the first resource in appinfo.json was declared twice.
* Reduce stack usage of resource handling to prevent stack overflows introduced in 2.8
* Fix several strings in non-English languages
* Fix bug in ``AppMessage`` that would cause the watch to crash


### Changes for SDK Tools:

* Fix an issue where the SDK failed to build apps with non-ascii characters in the name.
* Include locale.h in pebble.h

### Changes for Examples:
No changes
### Changes for Documentation:
No changes
