---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.8 - Changelog
date: 2014-11-20
---

This release changes the rendering behaviour of custom fonts in apps compiled with SDK 2.8. The change
improves the visual appearance of fonts, but also causes them to be slightly larger. If you rebuild with
SDK 2.8 and text no longer fits, you can revert to the old behaviour by setting `"compatibility": "2.7"`
in the resource block for that font, like so:

```javascript
{
  "type": "font",
  "file": "fonts/something.ttf",
  "name": "FONT_SOMETHING_24",
  "compatibility": "2.7"
}
```

System fonts are unaffected by this change.

## Detailed List of Changes:
### Changes for Firmware:

* All system `GOTHIC` fonts are expanded to contain 351 characters
* Add ``setlocale`` and ``i18n_get_system_locale`` APIs in preparation for internationalization support
* Fix an issue that could cause an incorrect accelerometer sampling rate to be used
* Fix an issue causing wakeup events scheduled less than thirty seconds in the future to fail
* Improve the performance of very small resource reads
* Fix an issue where iOS calendar alert notifications sometimes did not appear
* Fix an issue sometimes causing spurious "Loading..." notifications to appear on iOS
* Improve behaviour when trying to boot with a critically low battery

### Changes for SDK Tools:
* Improve font rendering for custom fonts when compiling with SDK 2.8
  * This can change the font metrics. If the font no longer fits, add the flag `"compatibility": "2.7"`
    to the resource entry for that font.

### Changes for Examples:
No changes

### Changes for Documentation:
* Fix explanation of the timezone of timestamps passed to ``wakeup_schedule``