---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 2.9 - Changelog
date: 2015-02-10
---

This release introduces actionable notifications for Android and minor stability improvements. 

## Detailed List of Changes:
### Changes for Firmware:

* Add support for [Android actionable notifications](/blog/2014/12/19/Leverage-Android-Actionable-Notifications/)
* Fix bug that caused crashes when ``mktime()`` was used 
* Fix behavior of ``window_stack_pop_all`` so that only the last window is animated
* Compiler will now show an error when the resources limit is reached
* Improve the stability of ``Worker``on launch
* Fix bug where a ``Worker`` selected from the Activity menus would not be set to default
* Fix bug where a ``Worker`` launched by a new app would not be set to default after the default worker was deleted
* Fix an issue that caused ``AppMessage`` to report sends as failed when sending/recieving a high volume of messages
* Notification date format is standardized: "Wednesday 11, February" -> "Wednesday, February 11"

### Changes for SDK Tools:
No changes

### Changes for Examples:
* Update openweather apis used in example apps.

### Changes for Documentation:
No changes 
