---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-beta10 - Changelog
date: 2015-04-30
---

This is the first beta release of Pebble SDK 3.0.

All applications compiled with previous SDK should work on 3.0 and up.
However, we have made several changes to the APIs in this release that will 
require source code changes.

We **strongly recommend** that all developers rebuild and retest their apps with
this version of the SDK.

*All apps built with beta10 will build with future releases of the SDK.*

## Detailed List of Changes:

### Changes for Firmware:

* The PDC format has changed. PDCs created for developer preview 9 or earlier will
  no longer work.

### Changes to SDK:

* Add new ``StatusBarLayer`` that you should use in apps that you want to have
  a status bar. We've added a
  [section to the 3.0 migration guide](/sdk/migration/migration-guide-3/)
  with example code and screenshots.
* Added `PBL_SDK_2` and `PBL_SDK_3` or detecting the major version of the SDK at
  compile time.
* Added new `buffer_size` parameter to ``clock_get_timezone``.
* Added Pebble Time Steel models to ``WatchInfoModel``.

### Changes for SDK Tools:

* The emulator now works on 32 bit Linux machines.
* The timeline now works with Python 2.7.9.

### Changes to Timeline:

* Apps in sandbox mode no longer have a whitelist by default. Existing timeline
  apps are not affected. Take a look at the
  [Enabling the Timeline](/guides/pebble-timeline/) guide for further
  information.
* There are more new icons you can use in your pins. Check out the
  [guide on pin structure](/guides/pebble-timeline/pin-structure)
  for more details.

### Changes for Examples:

*No changes*

### Changes for Documentation:

*No changes*
