---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-beta12 - Changelog
date: 2015-05-17
---

This SDK release includes improvements to stability including fixes for timeline and timezone. There's also a new guide for making your apps compatible on both platforms. 

## Detailed List of Changes:

### Changes for Firmware:

* Fixed a bug with timezone that would result in reporting the incorrect time. 
* Ongoing timeline events that started less than 10 minutes ago now show up in the future. 

### Changes to SDK:

* Fixed ``Pebble.getAccountToken`` on Android to return the same token as iOS.
  To learn how to convert a new token to an old one for the same account, read
  the
  [Migration Guide](/sdk/migration/migration-guide-3#pebblekit-js-account-token).

### Changes for SDK Tools:

* Fixed a bug with the `pebble analyze-size` command caused by an incorrect elf file location.

### Changes to Timeline:

* Fixed a bug where [Reminders](/guides/pebble-timeline/pin-structure/) would not be shown at the precise time they were set. 

### Changes for Examples:

* Updated the layout and content of the [Examples](/examples/) page.

### Changes for Documentation:

* Added a new guide, [Building For Every Pebble](/guides/best-practices/building-for-every-pebble); this covers the best practices for building an app compatible with both platforms. 
