---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-dp4 - Changelog
date: 2015-03-19
---

This is the fourth Developer Preview release of Pebble SDK 3.0.

## Detailed List of Changes:

### Changes for Firmware:

* Added basic timeline interface for testing and development purposes.
  **This is not the finished timeline UI**.
* Pressing the up/down button from the main emulator screen will now open the
  timeline.
* Made the generic, sports, weather and calendar layout available to timeline
  pins (see the [timeline guides](/guides/pebble-timeline/) for more information).
  
### Changes to SDK:

* Fixed ``property_animation_clone()`` compatibility macro (for Aplite binaries).
* Added ``launch_get_args()`` for getting the `launchCode` attribute from an
  [`openWatchApp`](/guides/timeline/pin-structure/#pin-actions) timeline pin
  action.

### Changes for SDK Tools:

* Emulator now has the proper timezone set automatically (in firmware and in
  JavaScript).
* Added the `insert-pin` and `delete-pin` commands to the emulator to interact 
  with the timeline locally.
* Added the `pebble login` command to connect your emulator to your Pebble
  account. *This is required for the timeline to work*.
* Fix a bug where the build would fail if the project contains a space in 
  the name.
* The [`targetPlatforms` attribute is now supported on resources](/guides/app-resources/platform-specific/). 
  You can use it to specify that a resource should only be available on one platform.

#### Known Issues

The timeline will not work if you have Python 2.7.8+. Please use Python 2.7.6 if
you want to work with the new timeline APIs.

### Changes for Examples:

Examples have been removed from the SDK download, and our old examples
repository has been deprecated.

You can now find all our examples on
[pebble-examples on GitHub]({{site.links.examples_org}}/).

### Changes for Documentation:

*No changes*
