---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-dp5 - Changelog
date: 2015-03-27
---

This is the fifth Developer Preview release of Pebble SDK 3.0.

The biggest new features with this release are 
[antialiasing and stroke width](/guides/graphics-and-animations/drawing-primitives-images-and-text/).

## Detailed List of Changes:

### Changes for Firmware:

* Antialiasing is enabled by default for all apps built with SDK 3.0 or higher.

### Changes to SDK:

* Added ``graphics_context_set_antialiased`` to toggle adding antialiasing to
  the graphics_draw_* functions. See our 
  [Drawing Graphics](/guides/graphics-and-animations/drawing-primitives-images-and-text/) 
  guide for more details.
* Added ``graphics_context_set_stroke_width``  to set the stroke width for
  drawing routines. See our 
  [Drawing Graphics](/guides/graphics-and-animations/drawing-primitives-images-and-text/) 
  guide for more details.

### Changes for SDK Tools:

* Fixed bug where projects with png-trans resources would cause build failures.

### Changes for Examples:

* Added [ks-clock-face]({{site.links.examples_org}}/ks-clock-face)
  example to demonstrate the new antialiasing and stroke width APIs.

### Changes for Documentation:

* Documented the [new pebble commands](/guides/tools-and-resources/pebble-tool/) 
  for working with the emulator, and improved the rest of the tool documentation.
