---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-dp7 - Changelog
date: 2015-04-09
---

This is the seventh Developer Preview release of Pebble SDK 3.0.

## Detailed List of Changes:

### Changes for Firmware:

*No changes*

### Changes to SDK:

* Added ``graphics_draw_rotated_bitmap`` for drawing rotated bitmaps to a
  GContext.
* Added new ``Draw Commands`` which allow for doing vector-like graphics and
  even animating them.
* Added ``action_bar_layer_set_icon_press_animation`` for setting the direction
  of the animation when selecting actions in the ``ActionBarLayer``.
* Updated ``MenuLayer`` with new methods and callbacks to support color
  highlighting.

### Changes for SDK Tools:

* You are no longer required to log in to the Pebble tool. If you want to use
  the Pebble timeline in the emulator you will still need to log in.

### Changes to Timeline:

* Added `foregroundColor`, `backgroundColor`, `headings`, and `paragraphs` as 
  new fields on the Layout object for Pins. Check out the
  [Pin Structure guide](/guides/pebble-timeline/pin-structure/) for more
  details.

### Changes for Examples:

* Created [cards-example]({{site.links.examples_org}}/cards-example) to
  demonstrate the new [Pebble Draw Commands](``Draw Commands``).

### Changes for Documentation:

*No changes*
