---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-dp8 - Changelog
date: 2015-04-16
---

This is the eighth Developer Preview release of Pebble SDK 3.0. This week we
were focussed on the firmware UI and so this release does not contain many
changes that are visible to developers. 

## Detailed List of Changes:

### Changes for Firmware:

* Updated the timeline UI.
* In preparation for the new 3.0 design style, we have removed the old system status bar and all 3.0 apps are now fullscreen by default. We will be releasing a new StatusLayer in the future.

### Changes to SDK:

* Added [`Pebble.getActiveWatchInfo()`](/guides/communication/using-pebblekit-js) for getting details about the currently connected Pebble watch.

### Changes for SDK Tools:

* Fixed incorrect values when reporting the maximum sizes of apps.
* Added SDK emulator support to the
  [pebble command line tools](/guides/publishing-tools/pebble-tool) for
  `emu_tap`, `emu_bt_connection`, `emu_compass`, `emu_battery` and `emu_accel`.
* Fixed the issues with installing apps to the emulator.

### Changes to Timeline:

*No changes*

### Changes for Examples:

*No changes*

### Changes for Documentation:

*No changes*
