---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.0-dp9 - Changelog
date: 2015-04-27
---

This is the ninth Developer Preview release of Pebble SDK 3.0.

## Detailed List of Changes:

### Changes for Firmware:

*No changes*

### Changes to SDK:

* Added ``menu_layer_set_normal_colors`` and ``menu_layer_set_highlight_colors``
  to make using ``MenuLayer``s much simpler.
* Renamed `GColorEq` to ``gcolor_equal`` to be more consistent with similar
  methods.
* `InverterLayer` has been
  [deprecated](/guides/migration/migration-guide-3/) and removed from the
  SDK.

### Changes for SDK Tools:

* The pebble tool will now use any running emulator before attempting to launch
  the default Basalt emulator
* Fixed a bug causing an incorrect color for foregroundColor and backgroundColor 
  on timeline pins

### Changes to Timeline:

* There are now many more icons you can use in your timeline pins. Check out
  the [guide on pin structure](/guides/timeline/pin-structure/#pin-icons)
  for more details. **Note:** All the existing icons have been renamed.
  

### Changes for Examples:

* Deprecated feature-inverter-layer SDK example (see deprecation notice on 
  [GitHub]({{site.links.examples_org}}/feature-inverter-layer))

### Changes for Documentation:

*No changes*
