---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.1 - Changelog
date: 2015-06-30
--- 

### Changes to Firmware

* Fix watch reset on calling ``compass_service_subscribe`` from a worker.
* Fix bug where setting click config is ignored if a notification is displayed.
* Fix app crash on calling ``gdraw_command_sequence_destroy``.
* Fix bug causing valid PNG8 images with a zero-length `tRNS` chunk to not load.
* Fix app crashes on 2.x apps using MenuLayers.
* Fix app crashes on 2.x apps using ScrollLayer.
* Fix ActionBarLayer being drawn as white when set to GColorClear.
* Fix bug causing ``menu_cell_title_draw`` and ``menu_cell_basic_header_draw`` to always render text in black.
* Fix alarms sometimes crashing the watch after vibrating for ten minutes.
* Fix transparent zero-radius circles rendering incorrectly.
* Improve rendering of zero-length lines with stroke width greater than one.
* Correctly display a sloth after deleting all pins on the timeline.
* Improve Bluetooth reliability.
* Reduced applog output from the launcher menu.
* Fix multiple cells being highlighted when setting the Do Not Disturb time range.
* Improve responsiveness when returning to a watchface from the launcher.

### Changes to SDK

* `window_set_status_bar_icon` is now deprecated.

### Changes to Emulator/Phonesim

* Fix WebSocket connections staying open after closing the app.
* Improve reliability of Aplite emulator installs when there are many timeline pins
* XMLHttpRequest now correctly returns a Uint8Array instead of ArrayBuffer.

### Changes to Pebble Tool

* Add support for `pebble app-config` command.
* Modify `pebble rm` command to use --bank or --uuid on 2.x, and --uuid on 3.x
* Modify `pebble current`, `pebble list` and `pebble uuids` commands to return a no-op message on 3.x.
* Remove login warning when not using emulator/phonesim.
* Improve error logging for JSON parsing errors.
* Fix a minor analytics bug.
* Fix requirements.txt bug.

### Changes to Documentation

* Update documentation for `window_set_fullscreen`.
* Update documentation for ``clock_to_timestamp``.
* Fix typo in documentation for ``MenuLayerDrawBackgroundCallback``.
