---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.10-beta2 - Changelog
date: 2016-02-19
---

This is a pre-release SDK, containing a preview of the new Pebble Health
API.

The following release notes list only changes since [3.10-beta1](/sdk/changelogs/3.10-beta1/).

### Changes to Firmware

* ``health_service_get_measurement_system_for_display`` no longer crashes when called on
  real watches.
* ``rand`` is now seeded from the hardware RNG on app start, as it was in firmware 3.4 and
  earlier.
* An issue causing the sleep graph to sometimes be blank on the deep sleep display of the
  Health app was resolved.


### Changes to SDK

* `CFLAGS` and `LINKFLAGS` env variables are now correctly honored by the app build process.
* JSON files under the `src/js/` directory are available to `require` in newly-created projects.
* ``persist_write_bool`` and ``persist_write_int`` are now correctly documented to return the
  number of bytes written on success.
