---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.10 - Changelog
date: 2016-03-07
---

### Changes to Firmware

* Added energy (Calorie) usage to the Health app.
* Changed "till" to "'til" in the low battery modals.
* ``rand`` is now seeded from the hardware RNG on app start, as it was in firmware 3.4 and
  earlier.
* Notifications containing only an emoji will now fill the screen with that emoji, if that
  emoji supports this.
* Added support for filtering notifications by app on iOS (requires iOS app 3.10).
* Fixed a window stack crash affecting some 2.x apps running on 3.9 watches.
* Fixed an error on Pebble Classic and Pebble Steel where reminders did not include their
  description.
* An issue causing the sleep graph to sometimes be blank on the deep sleep display of the
  Health app was resolved.
* Improved Health accuracy.
* Improved firmware stability.

### Changes to SDK

* Added support for debugging apps with gdb, in conjunction with pebble tool 4.2.
* Added ``health_service_get_measurement_system_for_display`` to retrieve the user's unit preference.
* Added ``health_service_sum_averaged`` and ``health_service_metric_averaged_accessible`` to access
  average health data. These can be used to determine the goal line used by the Pebble Health app.
* Added ``HealthMetricRestingKCalories`` and ``HealthMetricActiveKCalories`` to retrieve Calorie burn
  information from Pebble Health.
* `CFLAGS` and `LINKFLAGS` env variables are now correctly honored by the app build process.
* JSON files under the `src/js/` directory are available to `require` in newly-created projects.
* ``persist_write_bool`` and ``persist_write_int`` are now correctly documented to return the
  number of bytes written on success.
