---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.11 - Changelog
date: 2016-04-04
---

### Changes to Firmware

* Added a vibrations settings menu with new custom vibration patterns.
* Added sleep classification for naps and a pin to the timeline when a nap is completed.
* Changed the cutoff time for completed sleep sessions to be 9pm so sleep sessions ending after 9pm are recorded on the following day.
* Sleep summary screens are now hidden if no sleep data is collected overnight, and sleep graphs are hidden if no sleep data has been collected for the last week.
* Added a pin to the timeline when a long walk or run is completed, displaying distance, calorie burn and duration.
* Improved step-counting algorithm for Pebble Health.
* Fixed display of jumboji for larger font sizes.
* Fixed bug causing app resources not to be removed when uninstalling an application.
* Fixed watch reset on disconnecting smartstrap during communication.
* Fixed replying to SMS on iOS when a notification contains an attachment.
* Improved low battery screen and icons.
* Improved rendering of upper-case accented characters.
* Fixed watch crash caused by invalid ANCS messages that occur when two notification-receiving devices are connected.
* Fixed bug causing the "Dismiss" action to delete voicemails when a "Dismiss" option is not available for the notification in iOS.
* Fixed never-ending phone calls on iOS8 when a second phone call is received before the first call is ended.
* Fixed a watch crash when using the "Send Text" app caused by an animation not being cleaned up.

### Changes to SDK

* Added new ``gdraw_command_frame_get_command_list`` API.
* Fixed project build failures when the project path contained unicode.

### Changes to Documentation

* Added documentation of method arguments for ``smartstrap_set_timeout``, ``smartstrap_service_is_available``, ``smartstrap_attribute_get_service_id``, ``smartstrap_attribute_get_attribute_id``, and ``smartstrap_attribute_end_write``.
* Improved description of ``CompassHeadingData`` and how to convert to a heading using ``CompassHeadingData``.