---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.12 and 3.12.1 - Changelog
date: 2016-05-10
---

### Changes to Firmware

* Added Smart Alarms, which are smarter than regular alarms because they try to avoid waking you from a deep sleep.
* Added support for the Send Text app on iOS with Time-series watches and supported carriers.
* iOS users with Time-series watches and supported carriers can now respond to phone calls with text messages.
* Added Pebble Health notifications for runs and long walks, and daily activity and sleep.
* Added notification icons for Amazon, LinkedIn, Slack, Google Maps, Google Photos and the iOS Photos app (only on Time-series watches).
* Restored the ability to control general vibration strength (lost in 3.11 on Time-series watches).
* Removed weekly activity and sleep charts from the health app (they're in the phone app now).
* The default watchface, TicToc, is now written in and running as JavaScript on Pebble Time and Pebble Time Steel.
* ``health_service_get_minute_history`` now correctly rounds the start time down to the nearest minute.
* Fixed an issue where snooze on reminders sometimes never reminded you again.
* Fixed popups still showing after entering low-power mode.
* Fixed a crash when a notification is dismissed on the phone while performing a voice reply to that notification.
* Fixed the watch briefly freezing after backing out of a progress window.
* Fixed some incorrect timezone data.
* Improved rendering of the sleep ring in the Health app after more than twelve hours of sleep.
* Improved rendering of adjacent deep sleep sessions in the Health app.

### Changes to SDK

* Each line of build output now indicates which platform it applies to.

### Changes to Documentation

* Improved description of ``MenuLayer``-related constants.
