---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.13 - Changelog
date: 2016-06-10
---

This is a hotfix for [SDK 3.13](/sdk/changelogs/3.13/). This is an SDK-only
release; no corresponding firmware exists.

### Changes to SDK

* Use the value of package.json's `pebble.displayName` for the app's name
  everywhere, instead of sometimes using `name`, which is subject to npm naming
  restrictions.
* When using a block AppMessage key (e.g. `Elements[6]`), the name of the base
  key is no longer usable directly and must be accessed numerically. This change
  was made to ensure that it _could_ be accessed numerically, which is the
  standard use-case for these array-like keys.
* Library capabilities (e.g. `location`) are now correctly merged with app
  capabilities.

