---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.2.1 - Changelog
date: 2015-08-12
--- 

This is a hotfix release for [SDK 3.2](/sdk/changelogs/3.2/).

### Known issues

* Taking screenshots from physical watches running firmware 3.2 or 3.2.1 usually doesn't work.
  We expect to fix this in firmware 3.3.

### Changes to Firmware

* Apps compiled using SDK versions earlier than 3.2 which caused heap corruption but
  did not crash will now emit warnings instead of crashing. Apps compiled using SDK
  3.2 or later will crash when a corrupt heap is detected.
* Resolved an issue causing emojis to display as boxes when replying to a notification using
  the large notification font.
* Resolved multiple issues caused by having unsupported language packs installed.

### Changes to the SDK

None.

### Changes to the Pebble Tool

* Fixed a crash in the pebble tool when receiving a log containing a non-ASCII character.

### Changes to the emulator and phone simulator

* Fixed JavaScript apps crashing when attempting to log non-ASCII characters.

### Changes to documentation

None.
