---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.4 - Changelog
date: 2015-09-09
--- 

### Changes to Firmware

* Improved calendar and reminder pin display.
* Added support for internationalization and localization.
* Added standby mode (disables bluetooth when the watch is not being worn).
  * This can be toggled in Settings > System > Stand-by Mode.
* Renamed "Do Not Disturb" to "Quiet Time" and expanded functionality.
  * Can now disable notifications during calendar events.
  * Holding back from a watchface will now toggle Quiet Time.
  * Quiet Time can be enabled from notifications.
* Increased timeline paragraph length limit.

### Changes to SDK

* Enabled [timeline HTTP actions](/guides/pebble-timeline/pin-structure/) (requires iOS app 3.2 or Android app 3.4).
* Added [Smartstrap APIs](/guides/smartstraps/).


### Changes to Pebble Tool

* Added the [`pebble emu-control` command](/guides/tools-and-resources/pebble-tool/),
  which enables sending real-time accelerometer and compass data from phones
  to the pebble emulator.

### Changes to Emulator/Phonesim

None.
