---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.6-dp2 - Changelog
date: 2015-09-23
---

This changelog collects only changes visible to developers using the emulator. A complete
changelog will be provided when 3.6 ships on physical watches.

### Changes to Firmware

* Added support for [circular watches](/round/).
* Window stack animations were disabled on Chalk.
* Adjusted the display of [`ActionBarLayers`](``ActionBarLayer``) for circular watches.
* Adjusted the display of [`ActionMenus`](``ActionMenu``) for circular watches.
* Increased the height of the ``StatusBarLayer`` on Chalk (16 to 20 pixels).

### Changes to SDK

* Added the new "Chalk" platform for the Pebble Time Round.
* Added `PBL_ROUND`, `PBL_RECT` and `PBL_PLATFORM_CHALK` defines.
* Added ``PBL_IF_ROUND_ELSE``, ``PBL_IF_RECT_ELSE``, ``PBL_IF_COLOR_ELSE`` and
  ``PBL_IF_BW_ELSE`` macros. ``COLOR_FALLBACK`` is now considered deprecated.
* Added ``graphics_fill_radial`` and ``graphics_draw_arc``, for drawing partial circles.
* Added ``gpoint_from_polar`` and ``grect_centered_from_polar`` for conversion from
  polar to cartesian coordinates.
* Added ``ContentIndicator``, which provides a visual indicator of content above or
  below the display.
* Added ``menu_layer_set_center_focused``, which forces the highlighted menu item to always
  be in the center of the display. This is the preferred configuration for menus on Chalk.
* Added ``DEG_TO_TRIGANGLE``, the inverse of the pre-existing ``TRIGANGLE_TO_DEG``.
* Added ``GBitmapFormat8BitCircular``, the new framebuffer format used on Chalk.
* Added ``gbitmap_get_data_row_info``, because ``GBitmapFormat8BitCircular`` does not have
  a constant number of bytes per row. This should now be used for all framebuffer
  manipulation.


### Changes to Pebble Tool

* Added support for Chalk and circular displays.

### Changes to Emulator/Phonesim

* Added support for Chalk and circular displays.
