---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.6-dp5 - Changelog
date: 2015-10-02
--- 

This changelog covers only changes since 3.6-dp2. Developer previews 3 and 4 were never shipped.

### Changes to Firmware

* Made the status bar on Chalk (Pebble Time Round) four pixels taller (from 20 to 24 pixels).
* Resolved an issue causing AppMessages to sometimes be dropped when sending both ways.
* Improved backlight behaviour when dictating text.
* Fixed a calculation error in ``grect_centered_from_polar``.
* Resolved multiple issues that occured when reusing a ``DictationSession``.

### Changes to SDK

* Added the ``GTextAttributes`` structure, with methods for defining text flow and paging on a
  circular display.
* Added support for ``GTextAttributes`` to ``graphics_draw_text``. That `NULL` parameter that
  you've been tacking on the end for two and a half years now actually does something.
* Added methods to ``TextLayer`` for flowing and paging text on a circular display.
* Added paging support to ``ScrollLayer``.
* Improved the return codes from the dictation API.


### Changes to Pebble Tool

* Added the [`pebble transcribe` command](/guides/tools-and-resources/pebble-tool/), enabling
  testing dictation in the emulator.
* Added the [`pebble data-logging` command](/guides/tools-and-resources/pebble-tool/),
  to download stored datalogging from the
  watch to the computer.

### Changes to Emulator/Phonesim

* Added a translucent ring around the inside of the emulator to remind you of masked pixels.
* Resolved an issue causing appmessage events to fire repeatedly.
* Resolved an issue causing app installs to frequently fail on Linux.
* Resolved an issue causing emulated Bluetooth to be broadly unreliable.
