---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.6-dp7 - Changelog
date: 2015-10-09
--- 

This changelog covers only changes since 3.6-dp6.

### Known Issues

* Unfocused menu layer cells on Chalk may have their content inappropriately truncated.
  This behavior will improve before the final 3.6 release.

### Changes to Firmware

* MenuLayers will now correctly enable center focus by default on Chalk.
* Resolved an issue causing iOS notifications to cease after invoking the "call back"
  action.
* Pebble Time Round no longer vibrates when charging is completed.
* The action menu nub is now slightly larger on Pebble Time Round.


### Changes to SDK

* ``DEG_TO_TRIGANGLE`` no longer inappropriately normalizes angles.


### Changes to Pebble Tool

* None.

### Changes to Emulator/Phonesim

* Fixed a JavaScript runtime crash when sending non-ASCII characters by AppMessage.
