---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.6.2 - Changelog
date: 2015-11-04
---

This SDK corresponds with firmware 3.6.2, which only shipped on Pebble Time Round.

### Changes to Firmware

* Action bars are now less curved on Chalk.
* Added Chalk support to the sports API.
* Improved text rendering in unfocused menu layer cells on Chalk.
* Some missing animations were added on Chalk.
* Resolved an issue with alarms when DST starts or ends.

### Changes to SDK

* The recommended menu layer heights on Chalk have changed.
  ``MENU_CELL_ROUND_FOCUSED_SHORT_CELL_HEIGHT``,
  ``MENU_CELL_ROUND_FOCUSED_TALL_CELL_HEIGHT``, ``MENU_CELL_ROUND_UNFOCUSED_SHORT_CELL_HEIGHT`` and
  ``MENU_CELL_ROUND_UNFOCUSED_TALL_CELL_HEIGHT`` were updated accordingly.


### Changes to Pebble Tool

* Resolved an issue causing emulator launches that raise EINTR to fail.


### Changes to Emulator/Phonesim

* None.
