---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.8-beta10 - Changelog
date: 2015-12-09
---

This is a pre-release version of the Pebble SDK. Only changes since beta8 are included.

### Changes to Firmware

* Resolved an issue causing alarms to not vibrate in standby mode
* Added `shortSubtitle` property to all timeline layouts.
  * This string, if provided, will be used as the subtitle in the timeline list view.
* Added a `displayTime` enum to the timeline weather layout.
  * If `none`, it will not display a time. If `pin`, it will display the time of the
    pin in the title. The default is `pin`.
* Timeline pins were no longer last updated in 1970.
* Resolved some minor layout issues.


### Changes to SDK

* Added `PBL_MICROPHONE` and `PBL_SMARTSTRAP` macros, which will be defined when a
  microphone or a smartstrap connector is available, respectively. Note that the
  runtime availability of the services should still be tested, as the presence of
  hardware is not sufficient.
* Removed spuriously exported `_EMOJI` fonts. Emoji symbols will display in system
  fonts as before.
* Fixed an issue causing the generation of indexed PBIs containing non-black transparent
  pixels to fail.
