---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.8-beta8 - Changelog
date: 2015-12-02
---

This is a pre-release version of the Pebble SDK.

### Changes to Firmware

* Added support for Pebble Classic and Pebble Steel watches!
  * You can read more [on our blog](/blog/2015/12/02/Bringing-the-Family-Back-Together/)
  * This is a major change! Please test your aplite apps thoroughly after rebuilding with
    SDK 3.8.
* Improved the rendering of ``NumberWindow``.
* Fixed a race when exiting an ``ActionMenuLevel``.
* Timeline pins no longer require icons, and will pick a sane default.
* Restored the double vibration when _disabling_ Quiet Time (enabling is still a single vibration).
* Resolved a memory leak in ``DictationSession``.
* Assorted minor design changes.

### Changes to SDK

* Deprecated `png`, `pbi` and `pbi8` in favor of a new `bitmap` resource type.
  [Read more on our blog!](/blog/2015/12/02/Bitmap-Resources/).
* Font resources are now somewhat smaller than they used to be.


### Changes to Pebble Tool

SDK 3.8 is the first version exclusively available via the
[new pebble tool](/blog/2015/12/01/A-New-Pebble-Tool/).

No future SDK packages will contain the tool, or any changes to the tool.


### Changes to Emulator/Phonesim

As with the pebble tool, the emulator and phone simulator are no longer coupled to the SDK.
