---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.9-beta5 - Changelog
date: 2016-01-19
---

This is a pre-release SDK, containing a preview of the new Pebble Health
API.

### Known Issues

* `HealthLightLevel` will be renamed to ``AmbientLightLevel`` before SDK 3.9 ships.
* Bluetooth may be more unreliable in this beta release.

### Changes to Firmware

* Resolved confusion caused by manipulating the window stack while it is animating.
* Fixed a crash when enabling text pagination on aplite.
* Improved the reliability of smartstrap communication when the system is busy.
* Fixed calendar pins sometimes omitting the location on aplite.
* Reduced the memory overhead for PNG decompression to 1152 bytes (plus space for both
  the compressed and decompressed versions of the image).
* Fixed an issue causing "call back" on missed call pins on iOS to not actually
  call back.
* Fixed an issue causing sleep graphs to not be drawn at all on the deep sleep
  screen in the Health app unless there was deep sleep to display.
* Multiple timezone fixes, including Uruguay and Cancun.
* Made system watchface transitions snappier on Pebble Time.
* Redesigned the watch-only mode watchface.
* Changed the low-battery percentage warnings to time estimates.
* Added U+1F3B5 MUSICAL NOTE 🎵 and U+1F381 WRAPPED PRESENT 🎁 to the notification
  font.
* Added an indicator of picture notifications on iOS.
* Redesigned Tic-Toc on the Rose Gold Pebble Time Round.
* Moved the hands on Tic-Toc on Pebble Time Round one pixel to the left.
* Assorted health tracking improvements.
* Assorted stability improvements.
* Assorted localization improvements.

### Changes to SDK

* Added the new [Health API](``HealthService``)!
  * This enables you to read information from Pebble Health and include it in your
    app or watchface.
  * We are interested in feedback on this API! Let us know what you think
    ~~on Slack or by contacting developer support~~ on [Discord]({{ site.links.discord_invite }})!
* Fixed an issue introduced in 3.8.2 causing some _successful_ font builds to hang
  the build process indefinitely.
* Added ``PBL_IF_MICROPHONE_ELSE`` and ``PBL_IF_SMARTSTRAP_ELSE`` macros, for consistency
  with ``PBL_IF_COLOR_ELSE`` and friends.
