---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.9-beta7 - Changelog
date: 2016-01-29
---

This is a pre-release SDK, containing a preview of the new Pebble Health
API.

The following release notes list only changes since [3.9-beta5](/sdk/changelogs/3.9-beta5/)

### Changes to Firmware

* Fixed a crash when calling ``health_service_any_activity_accessible``.
* Ensured that ``HealthEventSignificantUpdate`` is called immediately when subscribing
  to the health service, as documented.
* Fixed a failure to correctly read the ambient light sensor.
* Further watchface transition tweaks.
* Improved firmware stability.
* Improved bluetooth reliability.

### Changes to SDK

* `HealthLightLevel` was renamed to ``AmbientLightLevel``
* Added `PBL_HEALTH` and `PBL_IF_HEALTH_ELSE` macros.
* Added support for multiple JavaScript files! Check out
  [the blog post](/blog/2016/01/29/Multiple-JavaScript-Files/) for more details.

