---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.9-beta8 - Changelog
date: 2016-02-01
---

This is a pre-release SDK, containing a preview of the new Pebble Health
API.

**Important note**: We have changed the values of ``HealthServiceAccessibilityMask``. This is
not a binary compatible change, so you _must_ recompile watchfaces that use
``health_service_metric_accessible`` or ``health_service_any_activity_accessible``.
Additionally, ``HealthServiceAccessibilityMaskAvailable`` is no longer zero, so code that
tried to compare with zero will need to be updated.

The following release notes list only changes since [3.9-beta7](/sdk/changelogs/3.9-beta7/).

### Changes to Firmware

* Fixed ``health_service_get_minute_history`` sometimes returning empty minutes.
* Fixed a bug causing the backlight to get stuck on at full intensity.
* Reduced watchface transition animation choppiness.
* Improved firmware stability.

### Changes to SDK

* Changed the values of ``HealthServiceAccessibilityMask` so that
  ``HealthServiceAccessibilityMaskAvailable`` is nonzero. This is an ABI incompatible change,
  and watchfaces must be recompiled with beta8 to run correctly on beta8 or later
  firmware.
* Added support for `require`ing a JSON file from PebbleKit JS, if the wscript is adjusted
  appropriately.
