---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.9 - Changelog
date: 2016-02-03
---

### Changes to Firmware

* Resolved confusion caused by manipulating the window stack while it is animating.
* Fixed a crash when enabling text pagination on aplite.
* Improved the reliability of smartstrap communication when the system is busy.
* Fixed calendar pins sometimes omitting the location on aplite.
* Reduced the memory overhead for PNG decompression to 1152 bytes (plus space for both
  the compressed and decompressed versions of the image).
* Fixed an issue causing "call back" on missed call pins on iOS to not actually
  call back.
* Fixed an issue causing sleep graphs to not be drawn at all on the deep sleep
  screen in the Health app unless there was deep sleep to display.
* Multiple timezone fixes, including Uruguay and Cancun.
* Made system watchface transitions snappier on Pebble Time.
* Redesigned the watch-only mode watchface.
* Changed the low-battery percentage warnings to time estimates.
* Added U+1F3B5 MUSICAL NOTE 🎵 and U+1F381 WRAPPED PRESENT 🎁 to the notification
  font.
* Added an indicator of picture notifications on iOS.
* Redesigned Tic-Toc on the Rose Gold Pebble Time Round.
* Moved the hands on Tic-Toc on Pebble Time Round one pixel to the left.
* Assorted health tracking improvements.
* Assorted stability improvements.
* Assorted localization improvements.

### Changes to SDK

* Added the new [Health API](/guides/events-and-services/health/)!
  * This enables you to read information from Pebble Health and include it in your
    app or watchface.
* Added support for multiple JavaScript files! Check out
  [the blog post](/blog/2016/01/29/Multiple-JavaScript-Files/) for more details.
* Fixed an issue introduced in 3.8.2 causing some _successful_ font builds to hang
  the build process indefinitely.
* Added ``PBL_IF_MICROPHONE_ELSE``, ``PBL_IF_SMARTSTRAP_ELSE``, and
  ``PBL_IF_HEALTH_ELSE`` macros, for consistency with ``PBL_IF_COLOR_ELSE`` and
  friends. This also includes new `PBL_MICROPHONE`, `PBL_SMARTSTRAP`, and
  `PBL_HEALTH` defines.
