---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 4.0-dp3 - Changelog
date: 2016-07-06
---

This is a developer preview release of SDK 4.0. No firmware is provided.

### Changes to Firmware

* Fixed diorite vibrating on boot until cancelled.
* App icons can now be provided in PDC format.
* Changed the watchfaces icon!

### Changes to SDK

* Renamed AppGlanceSlice.layout's `template_string` to
  `subtitle_template_string` and `icon_resource_id` to `icon`. You will need to
  update your apps appropriately for them to compile.
* The compass service will now return ``CompassStatusUnavailable`` on diorite
  watches, which do not have a compass. Apps built with SDK 2 or SDK 3 will
  still see ``CompassStatusDataInvalid``.
* Added a ``PBL_API_EXISTS`` macro, for checking if an API is available in a
  the current SDK at compile time. This macro was also added to SDK 3.14.
* Fixed a bug that caused messageKeys containing an underscore to be mangled.

### Known Issues

* The `UnobstructedAreaHandler` object must be created before being passed into
  the `unobstructed_area_service_subscribe` method.
