---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 4.1.2 and 4.1.3 - Changelog
date: 2016-10-04
---

4.1.2 is a hotfix for [firmware 4.1](/sdk/changelogs/4.1/).
4.1.3 removes some debug apps that were inadvertently included in 4.1.2.

### Changes to Firmware

* Fixed an issue where the Rocky.js `Date` constructor did not work for dates in October
  on a leap year. This also fixes an issue where Tic-Toc would fail after one minute.

### Changes to SDK

None.

### Known issues

* ``health_service_metric_accessible`` always returns `false` when
  checking the accessibility of ``HealthMetricHeartRateBPM``.
  Instead, use
  `health_service_metric_aggregate_averaged_accessible(HealthMetricHeartRateBPM, time_start, time_end, HealthAggregationAvg, HealthServiceTimeScopeOnce)`
