---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 4.1 - Changelog
date: 2016-09-27
---

### Changes to Firmware

* Added support for Pebble 2 and the Diorite platform.
* New and improved launcher animations for rectangular watches.
* Fully implemented heartrate APIs.
* Fixed a crash when using the compass in the emulator.
* Fixed a _different_ crash when using the compass on a real watch.
* Fixed a crash when using templated AppGlance strings on Pebble 2 watches.
* Fixed Rocky apps crashing on Chalk.
* Improved launcher performance.
* Updated the timezone database.

### Changes to SDK

* Added some missing heartrate-related aplite compatibility macros.
* Added Pebble 2 color codes to ``WatchInfoModel``.
* Timeline past is now accessible in the SDK shell using the up button.
* Oversized menu icons will now fail at build time instead of runtime.
* `publishedMedia` can now reference resources inside Pebble Packages.

### Known issues

* If you use platform tags on your menu icon (e.g. `icon~bw.png` and `icon~color.png`,
  but no `icon.png`), your build will fail. You can work around this by creating an
  unused, un-tagged icon. This file will be validated, so it must be a valid icon.
* ``health_service_metric_accessible`` always returns `false` when
  checking the accessibility of ``HealthMetricHeartRateBPM``.
  Instead, use
  `health_service_metric_aggregate_averaged_accessible(HealthMetricHeartRateBPM, time_start, time_end, HealthAggregationAvg, HealthServiceTimeScopeOnce)`
