---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 4.3 - Changelog
date: 2016-11-23
---

### Changes to Firmware

* Added heart rate zones to the Health app.
* Added a heart rate measurement characteristic to the Pebble GATT profile, enabling
mobile apps to retrieve live heart rate data from Pebble watches with a built-in heart
rate monitor.
* Added ``HealthMetricHeartRateRawBPM`` to allow access to raw heart rate measurements
from supported watches.
* Added Kickstart watchface.
* Added the display of heart rate measurements in the sports app when a 3rd party app
uses the Sports API.
* Added voice reminders on Pebble for iOS users.
* Improved measurements of heart rate on Pebble 2 devices.
* Bug fixes and improvements.


### Changes to SDK

* Fixed a bug where the Rocky.js `minutechange` event was not emitted when the hour or
day changed.
* Added ``quiet_time_is_active`` to permit C apps to check if Quiet Time is active on a
watch.
* Added the alias `app_package.json` to the webpack.config.js file, to allow Pebble
Packages to `require('app_package.json')`, which will require an app's package.json or
appinfo.json file during JS bundling.
* Added support for specifying custom PebbleKit JS and Rocky.js entry points from
within a Rocky.js project's package.json file.


### Changes to PebbleKit Android (v4.0.1)

* Added new APIs for sending custom HR data and a custom label/value from a mobile companion
app, using the Sports API.
* Added a helper object that will automatically manage state and message construction for
updates to the Sports app on a Pebble watch.
* Updated the Constant ``ICON_MAX_DIMENSIONS`` to be 25px, to be consistent with watches
running 4.0 firmware. If your provided icon exceeds 25px x 25px, you will encounter a runtime
error when calling ``customizeWatchApp``.


### Changes to PebbleKit iOS (v4.0.0)

* Added support for Diorite and Emery watches.
* Added new APIs for sending custom HR data and a custom label/value from a mobile app.
* Added a helper object that will automatically manage state and message construction for
updates to the Sports app on a Pebble watch.
* Removed Bluetooth Classic support. Mobile apps compiled with this version of PebbleKit
will only communicate with watches running FW 3.8 and later, which use BLE for
communications. Mobile apps using PebbleKit iOS 4.0.0 and later will no longer need to be
whitelisted for use with Pebble.
