---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Appstore Assets
description: |
  A collection of downloads to help developers create and improve their appstore
  listings.
guide_group: appstore-publishing
order: 3
---

A number of graphical assets are required when publishing an app on the
[Developer Portal](https://dev-portal.getpebble.com/), such as a marketing
banners. The resources on this page serve to help developers give these assets a
more authentic feel.


## Example Marketing Banners

Example 
[marketing banners](https://s3.amazonaws.com/developer.getpebble.com/assets/other/banner-examples.zip) 
from existing apps may help provide inspiration for an app's appstore banner
design. Readable fonts, an appropriate background image, and at least one framed
screenshot are all recommended.


## Marketing Banner Templates

![](/images/guides/appstore-publishing/perspective-right.png =400x)

Use these 
[blank PSD templates](https://s3.amazonaws.com/developer.getpebble.com/assets/other/banner-templates-design.zip) 
to start a new app marketing banner in Photoshop from a template.


## App Screenshot Frames

Use these
[example screenshot frames](https://s3.amazonaws.com/developer.getpebble.com/assets/other/pebble-frames.zip) 
for Pebble, Pebble Steel, Pebble Time, Pebble Time Steel, and Pebble Time Round
to decorate app screenshots in marketing banners and other assets. 

> Note: The screenshots added to the listing itself must not be framed.
