---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: User Interfaces
description: |
  How to build app user interfaces. Includes information on events,
  persistent storage, background worker, wakeups and app configuration.
guide_group: user-interfaces
menu: false
permalink: /guides/user-interfaces/
generate_toc: false
hide_comments: true
---

The User Intefaces section of the developer guide contains information on using
other the Pebble SDK elements that contribute to interface with the user in some
way, shape, or form. For example, ``Layer`` objects form the foundation of all
app user interfaces, while a configuration page asks a user for their input in
terms of preferences.

Graphics-specific UI elements and resources are discussed in the
{% guide_link graphics-and-animations %} and 
{% guide_link app-resources %} sections.


## Contents

{% include guides/contents-group.md group=page.group_data %}
