---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

layout: sdk/markdown
menu_subsection: install
title: Installing the Pebble SDK
---

## Develop Online

You can use [CloudPebble]({{ site.links.cloudpebble }}) to build, compile
and test Pebble apps entirely in the cloud without any installation needed.

## Install Through Homebrew

We recommend Mac OS X users [install the SDK using Homebrew](/sdk/download).

## Manual Installation

Once you have [downloaded the Pebble SDK](/sdk/download/), you will need to
follow the instructions for your platform.

## [Mac OS X](/sdk/install/mac/) | [Linux](/sdk/install/linux/) | [Windows](/sdk/install/windows/)

### Problems Installing?

If you need help installing the SDK, feel free to post your comments in the
[SDK Installation Help forum][sdk-install-help]. Please make sure you
provide as many details as you can about the issues
you may have encountered.

**Tip:** Copying and pasting commands from your Terminal output will help a great deal.

### What's Next?

Once you have installed the Pebble SDK, you should check out our
[Tutorials](/tutorials/) section to learn the basics of Pebble development.

[sdk-install-help]: https://forums.getpebble.com/categories/sdk-install/
