/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <bluetooth/sm_types.h>

#include <stdint.h>

typedef struct BTDeviceAddress BTDeviceAddress;

//! Generates private resolvable address with a random prand.
void pra_generate(BTDeviceAddress *address_out);

//! Generates private resolvable address with a given prand and IRK.
void pra_generate_with_prand_and_irk(BTDeviceAddress *address_out,
                                     uint32_t prand, const SMIdentityResolvingKey *irk);
