/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <bluetooth/pebble_pairing_service.h>

// Note: status and MTU changes are handled directly inside the controller (see ble_task.c),
// avoiding a round-trip to the MCU and back. Therefore, these are just stubs.

void bt_driver_pebble_pairing_service_handle_status_change(const GAPLEConnection *connection) {
  // noop
}

void bt_driver_pebble_pairing_service_handle_gatt_mtu_change(const GAPLEConnection *connection) {
  // noop
}
