/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

//
// AUTOGENERATED BY BUILD
// DO NOT MODIFY - CHANGES WILL BE OVERWRITTEN
//

typedef enum {
  INVALID_RESOURCE = 0,
  RESOURCE_ID_INVALID = 0,
  DEFAULT_MENU_ICON = 0,
  RESOURCE_ID_ACTION_BAR_ICON_X = 1,
  RESOURCE_ID_BT_PAIR_SUCCESS = 2,
  RESOURCE_ID_BT_PAIR_FAILURE = 3,
  RESOURCE_ID_BT_PAIR_APPROVE_ON_PHONE = 4,
  RESOURCE_ID_BT_PAIR_CONFIRMATION = 5,
  RESOURCE_ID_SPINNER_BACKGROUND = 6,
  RESOURCE_ID_GOTHIC_18_BOLD = 7,
  RESOURCE_ID_BATTERY_ICON_LOW_LARGE = 8,
  RESOURCE_ID_BATTERY_ICON_VERY_LOW_LARGE = 9,
  RESOURCE_ID_BATTERY_ICON_FULL_LARGE = 10,
  RESOURCE_ID_BATTERY_ICON_FULL_LARGE_INVERTED = 11,
  RESOURCE_ID_BATTERY_ICON_CHARGING_LARGE_INVERTED = 12,
  RESOURCE_ID_BATTERY_ICON_CHARGE = 13,
  RESOURCE_ID_BATTERY_NEEDS_CHARGING = 14,
  RESOURCE_ID_CONNECTIVITY_BLUETOOTH_AIRPLANE_MODE = 15,
  RESOURCE_ID_CONNECTIVITY_BLUETOOTH_CONNECTED = 16,
  RESOURCE_ID_CONNECTIVITY_BLUETOOTH_DISCONNECTED = 17,
  RESOURCE_ID_CONNECTIVITY_BLUETOOTH_DND = 18,
  RESOURCE_ID_CONNECTIVITY_BLUETOOTH_CALLS_ONLY = 19,
  RESOURCE_ID_QUIET_TIME = 20,
  RESOURCE_ID_MUSIC_APP_GLANCE_PLAY = 21,
  RESOURCE_ID_MUSIC_APP_GLANCE_PAUSE = 22,
  RESOURCE_ID_NOTIFICATIONS_APP_GLANCE = 23,
  RESOURCE_ID_SEND_TEXT_APP_GLANCE = 24,
  RESOURCE_ID_WATCHFACES_APP_GLANCE = 25,
  RESOURCE_ID_MENU_ICON_TICTOC_WATCH = 26,
  RESOURCE_ID_MENU_ICON_KICKSTART_WATCH = 27,
  RESOURCE_ID_SETTINGS_ICON_BLUETOOTH_ALT = 28,
  RESOURCE_ID_SETTINGS_ICON_BLUETOOTH = 29,
  RESOURCE_ID_SETTINGS_ICON_AIRPLANE = 30,
  RESOURCE_ID_ACTION_BAR_ICON_SMS = 31,
  RESOURCE_ID_GOTHIC_09 = 32,
  RESOURCE_ID_GOTHIC_14 = 33,
  RESOURCE_ID_GOTHIC_14_EMOJI = 34,
  RESOURCE_ID_GOTHIC_14_BOLD = 35,
  RESOURCE_ID_GOTHIC_18 = 36,
  RESOURCE_ID_GOTHIC_18_COMPRESSED = 37,
  RESOURCE_ID_GOTHIC_18_EMOJI = 38,
  RESOURCE_ID_GOTHIC_24 = 39,
  RESOURCE_ID_GOTHIC_24_BOLD = 40,
  RESOURCE_ID_GOTHIC_24_EMOJI = 41,
  RESOURCE_ID_GOTHIC_28 = 42,
  RESOURCE_ID_GOTHIC_28_BOLD = 43,
  RESOURCE_ID_GOTHIC_28_EMOJI = 44,
  RESOURCE_ID_GOTHIC_36 = 45,
  RESOURCE_ID_GOTHIC_36_BOLD = 46,
  RESOURCE_ID_BITHAM_30_BLACK = 47,
  RESOURCE_ID_BITHAM_42_BOLD = 48,
  RESOURCE_ID_BITHAM_42_LIGHT = 49,
  RESOURCE_ID_BITHAM_42_MEDIUM_NUMBERS = 50,
  RESOURCE_ID_BITHAM_34_MEDIUM_NUMBERS = 51,
  RESOURCE_ID_BITHAM_34_LIGHT_SUBSET = 52,
  RESOURCE_ID_BITHAM_18_LIGHT_SUBSET = 53,
  RESOURCE_ID_ROBOTO_CONDENSED_21 = 54,
  RESOURCE_ID_ROBOTO_BOLD_SUBSET_49 = 55,
  RESOURCE_ID_DROID_SERIF_28_BOLD = 56,
  RESOURCE_ID_LECO_20_BOLD_NUMBERS = 57,
  RESOURCE_ID_LECO_26_BOLD_NUMBERS_AM_PM = 58,
  RESOURCE_ID_LECO_32_BOLD_NUMBERS = 59,
  RESOURCE_ID_LECO_36_BOLD_NUMBERS = 60,
  RESOURCE_ID_LECO_38_BOLD_NUMBERS = 61,
  RESOURCE_ID_LECO_42_NUMBERS = 62,
  RESOURCE_ID_LECO_28_LIGHT_NUMBERS = 63,
  RESOURCE_ID_MUSIC_ICON_SKIP_FORWARD = 64,
  RESOURCE_ID_MUSIC_ICON_SKIP_BACKWARD = 65,
  RESOURCE_ID_MUSIC_ICON_ELLIPSIS = 66,
  RESOURCE_ID_MUSIC_ICON_PAUSE = 67,
  RESOURCE_ID_MUSIC_ICON_PLAY = 68,
  RESOURCE_ID_MUSIC_ICON_PLAY_PAUSE = 69,
  RESOURCE_ID_MUSIC_ICON_VOLUME_UP = 70,
  RESOURCE_ID_MUSIC_ICON_VOLUME_DOWN = 71,
  RESOURCE_ID_MUSIC_LARGE_CASSETTE = 72,
  RESOURCE_ID_MUSIC_LARGE_VOLUME_UP = 73,
  RESOURCE_ID_MUSIC_LARGE_VOLUME_DOWN = 74,
  RESOURCE_ID_MUSIC_LARGE_PAUSED = 75,
  RESOURCE_ID_MUSIC_IMAGE_NO_MUSIC = 76,
  RESOURCE_ID_MENU_LAYER_GENERIC_WATCHFACE_ICON = 77,
  RESOURCE_ID_MENU_LAYER_GENERIC_WATCHAPP_ICON = 78,
  RESOURCE_ID_UNCHECKED_RADIO_BUTTON = 79,
  RESOURCE_ID_CHECKED_RADIO_BUTTON = 80,
  RESOURCE_ID_ACTION_BAR_ICON_MORE = 81,
  RESOURCE_ID_ACTION_BAR_ICON_SNOOZE = 82,
  RESOURCE_ID_ACTION_BAR_ICON_PAUSE = 83,
  RESOURCE_ID_ACTION_BAR_ICON_START = 84,
  RESOURCE_ID_ACTION_BAR_ICON_STOP = 85,
  RESOURCE_ID_ACTION_BAR_ICON_TOGGLE = 86,
  RESOURCE_ID_ACTION_MENU_FADE_TOP = 87,
  RESOURCE_ID_ACTION_MENU_FADE_BOTTOM = 88,
  RESOURCE_ID_CHECKBOX_ICON_CHECKED = 89,
  RESOURCE_ID_CHECKBOX_ICON_UNCHECKED = 90,
  RESOURCE_ID_CHECKMARK_ICON_BLACK = 91,
  RESOURCE_ID_CHECKMARK_ICON_DOTTED = 92,
  RESOURCE_ID_BLE_HRM_SHARING_TINY = 93,
  RESOURCE_ID_BLE_HRM_SHARING_SMALL = 94,
  RESOURCE_ID_BLE_HRM_SHARING_LARGE = 95,
  RESOURCE_ID_NOTIFICATION_GENERIC_TINY = 96,
  RESOURCE_ID_NOTIFICATION_GENERIC_SMALL = 97,
  RESOURCE_ID_NOTIFICATION_GENERIC_LARGE = 98,
  RESOURCE_ID_MISSED_CALL_TINY = 99,
  RESOURCE_ID_MISSED_CALL_SMALL = 100,
  RESOURCE_ID_GENERIC_REMINDER_TINY = 101,
  RESOURCE_ID_WHATSAPP_NOTIFICATION_TINY = 102,
  RESOURCE_ID_WHATSAPP_NOTIFICATION_SMALL = 103,
  RESOURCE_ID_TWITTER_NOTIFICATION_TINY = 104,
  RESOURCE_ID_TWITTER_NOTIFICATION_SMALL = 105,
  RESOURCE_ID_TELEGRAM_APP_TINY = 106,
  RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_TINY = 107,
  RESOURCE_ID_GMAIL_NOTIFICATION_TINY = 108,
  RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_TINY = 109,
  RESOURCE_ID_FACEBOOK_NOTIFICATION_TINY = 110,
  RESOURCE_ID_GENERIC_WEATHER_TINY = 111,
  RESOURCE_ID_AUDIO_CASSETTE_TINY = 112,
  RESOURCE_ID_SUNNY_DAY_TINY = 113,
  RESOURCE_ID_GENERIC_SPORTS_TINY = 114,
  RESOURCE_ID_GENERIC_EMAIL_TINY = 115,
  RESOURCE_ID_AMERICAN_FOOTBALL_TINY = 116,
  RESOURCE_ID_TIMELINE_CALENDAR_TINY = 117,
  RESOURCE_ID_BASEBALL_GAME_TINY = 118,
  RESOURCE_ID_BASEBALL_GAME_SMALL = 119,
  RESOURCE_ID_ALARM_CLOCK_TINY = 120,
  RESOURCE_ID_BIRTHDAY_EVENT_TINY = 121,
  RESOURCE_ID_BLACKBERRY_MESSENGER_NOTIFICATION_TINY = 122,
  RESOURCE_ID_CAR_RENTAL_TINY = 123,
  RESOURCE_ID_SCHEDULED_FLIGHT_TINY = 124,
  RESOURCE_ID_CLOUDY_DAY_TINY = 125,
  RESOURCE_ID_CRICKET_GAME_TINY = 126,
  RESOURCE_ID_CRICKET_GAME_SMALL = 127,
  RESOURCE_ID_CRICKET_GAME_LARGE = 128,
  RESOURCE_ID_DINNER_RESERVATION_TINY = 129,
  RESOURCE_ID_DISMISSED_PHONE_CALL_TINY = 130,
  RESOURCE_ID_GENERIC_CONFIRMATION_TINY = 131,
  RESOURCE_ID_GENERIC_PIN_TINY = 132,
  RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_TINY = 133,
  RESOURCE_ID_GLUCOSE_MONITOR_TINY = 134,
  RESOURCE_ID_HEAVY_RAIN_TINY = 135,
  RESOURCE_ID_HEAVY_SNOW_TINY = 136,
  RESOURCE_ID_HOCKEY_GAME_TINY = 137,
  RESOURCE_ID_HOCKEY_GAME_SMALL = 138,
  RESOURCE_ID_HOCKEY_GAME_LARGE = 139,
  RESOURCE_ID_HOTEL_RESERVATION_TINY = 140,
  RESOURCE_ID_INSTAGRAM_NOTIFICATION_TINY = 141,
  RESOURCE_ID_INSTAGRAM_NOTIFICATION_SMALL = 142,
  RESOURCE_ID_LIGHT_RAIN_TINY = 143,
  RESOURCE_ID_LIGHT_SNOW_TINY = 144,
  RESOURCE_ID_MAILBOX_NOTIFICATION_TINY = 145,
  RESOURCE_ID_MAILBOX_NOTIFICATION_SMALL = 146,
  RESOURCE_ID_MOVIE_EVENT_TINY = 147,
  RESOURCE_ID_MUSIC_EVENT_TINY = 148,
  RESOURCE_ID_NEWS_EVENT_TINY = 149,
  RESOURCE_ID_PARTLY_CLOUDY_TINY = 150,
  RESOURCE_ID_PAY_BILL_TINY = 151,
  RESOURCE_ID_REACHED_FITNESS_GOAL_TINY = 152,
  RESOURCE_ID_RADIO_SHOW_TINY = 153,
  RESOURCE_ID_SCHEDULED_EVENT_TINY = 154,
  RESOURCE_ID_SOCCER_GAME_TINY = 155,
  RESOURCE_ID_SOCCER_GAME_SMALL = 156,
  RESOURCE_ID_STOCKS_EVENT_TINY = 157,
  RESOURCE_ID_BIRTHDAY_EVENT_SMALL = 158,
  RESOURCE_ID_BLACKBERRY_MESSENGER_NOTIFICATION_SMALL = 159,
  RESOURCE_ID_TIMELINE_CALENDAR_SMALL = 160,
  RESOURCE_ID_TIMELINE_EMPTY_CALENDAR_SMALL = 161,
  RESOURCE_ID_ALARM_CLOCK_SMALL = 162,
  RESOURCE_ID_CAR_RENTAL_SMALL = 163,
  RESOURCE_ID_CHECK_INTERNET_CONNECTION_SMALL = 164,
  RESOURCE_ID_DINNER_RESERVATION_SMALL = 165,
  RESOURCE_ID_DISMISSED_PHONE_CALL_SMALL = 166,
  RESOURCE_ID_GENERIC_SMS_SMALL = 167,
  RESOURCE_ID_GENERIC_SMS_TINY = 168,
  RESOURCE_ID_GENERIC_SMS_LARGE = 169,
  RESOURCE_ID_FACEBOOK_NOTIFICATION_SMALL = 170,
  RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_SMALL = 171,
  RESOURCE_ID_GENERIC_CONFIRMATION_SMALL = 172,
  RESOURCE_ID_GENERIC_EMAIL_SMALL = 173,
  RESOURCE_ID_GENERIC_PIN_SMALL = 174,
  RESOURCE_ID_GENERIC_REMINDER_SMALL = 175,
  RESOURCE_ID_GENERIC_WARNING_SMALL = 176,
  RESOURCE_ID_GENERIC_WEATHER_SMALL = 177,
  RESOURCE_ID_GLUCOSE_MONITOR_SMALL = 178,
  RESOURCE_ID_GMAIL_NOTIFICATION_SMALL = 179,
  RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_SMALL = 180,
  RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_SMALL = 181,
  RESOURCE_ID_HEAVY_RAIN_SMALL = 182,
  RESOURCE_ID_HEAVY_SNOW_SMALL = 183,
  RESOURCE_ID_HOTEL_RESERVATION_SMALL = 184,
  RESOURCE_ID_LIGHT_RAIN_SMALL = 185,
  RESOURCE_ID_LIGHT_SNOW_SMALL = 186,
  RESOURCE_ID_MOVIE_EVENT_SMALL = 187,
  RESOURCE_ID_MUSIC_EVENT_SMALL = 188,
  RESOURCE_ID_NEWS_EVENT_SMALL = 189,
  RESOURCE_ID_PARTLY_CLOUDY_SMALL = 190,
  RESOURCE_ID_PAY_BILL_SMALL = 191,
  RESOURCE_ID_RADIO_SHOW_SMALL = 192,
  RESOURCE_ID_REACHED_FITNESS_GOAL_SMALL = 193,
  RESOURCE_ID_SCHEDULED_EVENT_SMALL = 194,
  RESOURCE_ID_SUNNY_DAY_SMALL = 195,
  RESOURCE_ID_GENERIC_SPORTS_SMALL = 196,
  RESOURCE_ID_TIDE_IS_HIGH_SMALL = 197,
  RESOURCE_ID_WATCH_DISCONNECTED_SMALL = 198,
  RESOURCE_ID_ALARM_CLOCK_LARGE_STATIC = 199,
  RESOURCE_ID_AMERICAN_FOOTBALL_LARGE = 200,
  RESOURCE_ID_AMERICAN_FOOTBALL_SMALL = 201,
  RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_LARGE = 202,
  RESOURCE_ID_WHATSAPP_NOTIFICATION_LARGE = 203,
  RESOURCE_ID_AUDIO_CASSETTE_LARGE = 204,
  RESOURCE_ID_AUDIO_CASSETTE_SMALL = 205,
  RESOURCE_ID_BASEBALL_GAME_LARGE = 206,
  RESOURCE_ID_BIRTHDAY_EVENT_LARGE = 207,
  RESOURCE_ID_BLACKBERRY_MESSENGER_NOTIFICATION_LARGE = 208,
  RESOURCE_ID_TIMELINE_CALENDAR_LARGE = 209,
  RESOURCE_ID_CAR_RENTAL_LARGE = 210,
  RESOURCE_ID_CLOUDY_DAY_LARGE = 211,
  RESOURCE_ID_CLOUDY_DAY_SMALL = 212,
  RESOURCE_ID_DAY_SEPARATOR_TINY = 213,
  RESOURCE_ID_DAY_SEPARATOR_SMALL = 214,
  RESOURCE_ID_DAY_SEPARATOR_LARGE = 215,
  RESOURCE_ID_RESULT_DELETED_TINY = 216,
  RESOURCE_ID_RESULT_DELETED_SMALL = 217,
  RESOURCE_ID_DINNER_RESERVATION_LARGE = 218,
  RESOURCE_ID_DISMISSED_PHONE_CALL_LARGE = 219,
  RESOURCE_ID_DURING_PHONE_CALL_TINY = 220,
  RESOURCE_ID_DURING_PHONE_CALL_SMALL = 221,
  RESOURCE_ID_DURING_PHONE_CALL_LARGE = 222,
  RESOURCE_ID_DURING_PHONE_CALL_CENTERED_LARGE = 223,
  RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_LARGE = 224,
  RESOURCE_ID_FACEBOOK_NOTIFICATION_LARGE = 225,
  RESOURCE_ID_GENERIC_EMAIL_LARGE = 226,
  RESOURCE_ID_GENERIC_PIN_LARGE = 227,
  RESOURCE_ID_GENERIC_REMINDER_LARGE = 228,
  RESOURCE_ID_GENERIC_SPORTS_LARGE = 229,
  RESOURCE_ID_GENERIC_WEATHER_LARGE = 230,
  RESOURCE_ID_GLUCOSE_MONITOR_LARGE = 231,
  RESOURCE_ID_GMAIL_NOTIFICATION_LARGE = 232,
  RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_LARGE = 233,
  RESOURCE_ID_HEAVY_RAIN_LARGE = 234,
  RESOURCE_ID_HEAVY_SNOW_LARGE = 235,
  RESOURCE_ID_HOTEL_RESERVATION_LARGE = 236,
  RESOURCE_ID_INSTAGRAM_NOTIFICATION_LARGE = 237,
  RESOURCE_ID_LIGHT_RAIN_LARGE = 238,
  RESOURCE_ID_LIGHT_SNOW_LARGE = 239,
  RESOURCE_ID_MAILBOX_NOTIFICATION_LARGE = 240,
  RESOURCE_ID_MISSED_CALL_LARGE = 241,
  RESOURCE_ID_MOVIE_EVENT_LARGE = 242,
  RESOURCE_ID_MUSIC_EVENT_LARGE = 243,
  RESOURCE_ID_NEWS_EVENT_LARGE = 244,
  RESOURCE_ID_PARTLY_CLOUDY_LARGE = 245,
  RESOURCE_ID_PAY_BILL_LARGE = 246,
  RESOURCE_ID_RADIO_SHOW_LARGE = 247,
  RESOURCE_ID_REACHED_FITNESS_GOAL_LARGE = 248,
  RESOURCE_ID_SCHEDULED_EVENT_LARGE = 249,
  RESOURCE_ID_SCHEDULED_FLIGHT_LARGE = 250,
  RESOURCE_ID_SCHEDULED_FLIGHT_SMALL = 251,
  RESOURCE_ID_RESULT_SENT_TINY = 252,
  RESOURCE_ID_RESULT_SENT_SMALL = 253,
  RESOURCE_ID_SOCCER_GAME_LARGE = 254,
  RESOURCE_ID_STOCKS_EVENT_LARGE = 255,
  RESOURCE_ID_STOCKS_EVENT_SMALL = 256,
  RESOURCE_ID_SUNNY_DAY_LARGE = 257,
  RESOURCE_ID_TELEGRAM_APP_LARGE = 258,
  RESOURCE_ID_TELEGRAM_APP_SMALL = 259,
  RESOURCE_ID_TIDE_IS_HIGH_LARGE = 260,
  RESOURCE_ID_TWITTER_NOTIFICATION_LARGE = 261,
  RESOURCE_ID_RESULT_FAILED_TINY = 262,
  RESOURCE_ID_RESULT_FAILED_SMALL = 263,
  RESOURCE_ID_RESULT_FAILED_LARGE = 264,
  RESOURCE_ID_GENERIC_QUESTION_TINY = 265,
  RESOURCE_ID_GENERIC_QUESTION_SMALL = 266,
  RESOURCE_ID_GENERIC_QUESTION_LARGE = 267,
  RESOURCE_ID_NOTIFICATION_OUTLOOK_TINY = 268,
  RESOURCE_ID_NOTIFICATION_OUTLOOK_SMALL = 269,
  RESOURCE_ID_NOTIFICATION_OUTLOOK_LARGE = 270,
  RESOURCE_ID_RAINING_AND_SNOWING_TINY = 271,
  RESOURCE_ID_RAINING_AND_SNOWING_SMALL = 272,
  RESOURCE_ID_RAINING_AND_SNOWING_LARGE = 273,
  RESOURCE_ID_NOTIFICATION_FACETIME_TINY = 274,
  RESOURCE_ID_NOTIFICATION_FACETIME_SMALL = 275,
  RESOURCE_ID_NOTIFICATION_FACETIME_LARGE = 276,
  RESOURCE_ID_NOTIFICATION_LINE_TINY = 277,
  RESOURCE_ID_NOTIFICATION_LINE_SMALL = 278,
  RESOURCE_ID_NOTIFICATION_LINE_LARGE = 279,
  RESOURCE_ID_NOTIFICATION_SKYPE_TINY = 280,
  RESOURCE_ID_NOTIFICATION_SKYPE_SMALL = 281,
  RESOURCE_ID_NOTIFICATION_SKYPE_LARGE = 282,
  RESOURCE_ID_NOTIFICATION_SNAPCHAT_TINY = 283,
  RESOURCE_ID_NOTIFICATION_SNAPCHAT_SMALL = 284,
  RESOURCE_ID_NOTIFICATION_SNAPCHAT_LARGE = 285,
  RESOURCE_ID_NOTIFICATION_VIBER_TINY = 286,
  RESOURCE_ID_NOTIFICATION_VIBER_SMALL = 287,
  RESOURCE_ID_NOTIFICATION_VIBER_LARGE = 288,
  RESOURCE_ID_NOTIFICATION_WECHAT_TINY = 289,
  RESOURCE_ID_NOTIFICATION_WECHAT_SMALL = 290,
  RESOURCE_ID_NOTIFICATION_WECHAT_LARGE = 291,
  RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_TINY = 292,
  RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_SMALL = 293,
  RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_LARGE = 294,
  RESOURCE_ID_TV_SHOW_TINY = 295,
  RESOURCE_ID_TV_SHOW_SMALL = 296,
  RESOURCE_ID_TV_SHOW_LARGE = 297,
  RESOURCE_ID_END_OF_TIMELINE = 298,
  RESOURCE_ID_BASKETBALL_TINY = 299,
  RESOURCE_ID_BASKETBALL_SMALL = 300,
  RESOURCE_ID_BASKETBALL_LARGE = 301,
  RESOURCE_ID_RESULT_DISMISSED_TINY = 302,
  RESOURCE_ID_RESULT_DISMISSED_SMALL = 303,
  RESOURCE_ID_TIDE_IS_HIGH_TINY = 304,
  RESOURCE_ID_OUTGOING_CALL_LARGE = 305,
  RESOURCE_ID_NOTIFICATION_HIPCHAT_TINY = 306,
  RESOURCE_ID_NOTIFICATION_HIPCHAT_SMALL = 307,
  RESOURCE_ID_NOTIFICATION_HIPCHAT_LARGE = 308,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_TINY = 309,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_SMALL = 310,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_LARGE = 311,
  RESOURCE_ID_INCOMING_PHONE_CALL_TINY = 312,
  RESOURCE_ID_INCOMING_PHONE_CALL_SMALL = 313,
  RESOURCE_ID_NOTIFICATION_KAKAOTALK_TINY = 314,
  RESOURCE_ID_NOTIFICATION_KAKAOTALK_SMALL = 315,
  RESOURCE_ID_NOTIFICATION_KAKAOTALK_LARGE = 316,
  RESOURCE_ID_NOTIFICATION_KIK_TINY = 317,
  RESOURCE_ID_NOTIFICATION_KIK_SMALL = 318,
  RESOURCE_ID_NOTIFICATION_KIK_LARGE = 319,
  RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_TINY = 320,
  RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_SMALL = 321,
  RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_LARGE = 322,
  RESOURCE_ID_LOCATION_TINY = 323,
  RESOURCE_ID_LOCATION_SMALL = 324,
  RESOURCE_ID_LOCATION_LARGE = 325,
  RESOURCE_ID_SUNSET_TINY = 326,
  RESOURCE_ID_SUNSET_SMALL = 327,
  RESOURCE_ID_SUNSET_LARGE = 328,
  RESOURCE_ID_SUNRISE_TINY = 329,
  RESOURCE_ID_SUNRISE_SMALL = 330,
  RESOURCE_ID_SUNRISE_LARGE = 331,
  RESOURCE_ID_SETTINGS_TINY = 332,
  RESOURCE_ID_SETTINGS_SMALL = 333,
  RESOURCE_ID_SETTINGS_LARGE = 334,
  RESOURCE_ID_PLUS_ICON_BLACK = 335,
  RESOURCE_ID_PLUS_ICON_DOTTED = 336,
  RESOURCE_ID_RESULT_SHREDDED_TINY = 337,
  RESOURCE_ID_RESULT_SHREDDED_SMALL = 338,
  RESOURCE_ID_QUIET_TIME_MOUSE = 339,
  RESOURCE_ID_REMINDER_SNOOZE = 340,
  RESOURCE_ID_QUIET_TIME_STATUS_BAR = 341,
  RESOURCE_ID_QUICK_DISMISS = 342,
  RESOURCE_ID_THUMBS_UP_SMALL = 343,
  RESOURCE_ID_THUMBS_UP_LARGE = 344,
  RESOURCE_ID_ARROW_UP_SMALL = 345,
  RESOURCE_ID_ARROW_DOWN_SMALL = 346,
  RESOURCE_ID_ACTIVITY_TINY = 347,
  RESOURCE_ID_ACTIVITY_SMALL = 348,
  RESOURCE_ID_ACTIVITY_LARGE = 349,
  RESOURCE_ID_SLEEP_TINY = 350,
  RESOURCE_ID_SLEEP_SMALL = 351,
  RESOURCE_ID_SLEEP_LARGE = 352,
  RESOURCE_ID_REWARD_AVERAGE_LARGE = 353,
  RESOURCE_ID_REWARD_GOOD_LARGE = 354,
  RESOURCE_ID_REWARD_BAD_LARGE = 355,
  RESOURCE_ID_CALORIES_TINY = 356,
  RESOURCE_ID_DISTANCE_TINY = 357,
  RESOURCE_ID_DURATION_TINY = 358,
  RESOURCE_ID_PACE_TINY = 359,
  RESOURCE_ID_RUN_TINY = 360,
  RESOURCE_ID_RUN_LARGE = 361,
  RESOURCE_ID_MOON_TINY = 362,
  RESOURCE_ID_NOTIFICATION_AMAZON_TINY = 363,
  RESOURCE_ID_NOTIFICATION_AMAZON_SMALL = 364,
  RESOURCE_ID_NOTIFICATION_AMAZON_LARGE = 365,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_TINY = 366,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_SMALL = 367,
  RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_LARGE = 368,
  RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_TINY = 369,
  RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_SMALL = 370,
  RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_LARGE = 371,
  RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_TINY = 372,
  RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_SMALL = 373,
  RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_LARGE = 374,
  RESOURCE_ID_NOTIFICATION_LINKEDIN_TINY = 375,
  RESOURCE_ID_NOTIFICATION_LINKEDIN_SMALL = 376,
  RESOURCE_ID_NOTIFICATION_LINKEDIN_LARGE = 377,
  RESOURCE_ID_NOTIFICATION_SLACK_TINY = 378,
  RESOURCE_ID_NOTIFICATION_SLACK_SMALL = 379,
  RESOURCE_ID_NOTIFICATION_SLACK_LARGE = 380,
  RESOURCE_ID_SMART_ALARM_TINY = 381,
  RESOURCE_ID_HEALTH_APP_ACTIVITY = 382,
  RESOURCE_ID_HEALTH_APP_SLEEP = 383,
  RESOURCE_ID_HEALTH_APP_CROWN = 384,
  RESOURCE_ID_HEALTH_APP_HR = 385,
  RESOURCE_ID_HEALTH_APP_PULSING_HEART = 386,
  RESOURCE_ID_WORKOUT_APP_WALK = 387,
  RESOURCE_ID_WORKOUT_APP_WALK_SMALL = 388,
  RESOURCE_ID_WORKOUT_APP_WALK_TINY = 389,
  RESOURCE_ID_WORKOUT_APP_RUN = 390,
  RESOURCE_ID_WORKOUT_APP_RUN_SMALL = 391,
  RESOURCE_ID_WORKOUT_APP_RUN_TINY = 392,
  RESOURCE_ID_WORKOUT_APP_WORKOUT = 393,
  RESOURCE_ID_WORKOUT_APP_WORKOUT_SMALL = 394,
  RESOURCE_ID_WORKOUT_APP_DETECTED = 395,
  RESOURCE_ID_WORKOUT_APP_HEART = 396,
  RESOURCE_ID_WORKOUT_APP_MEASURING_HR = 397,
  RESOURCE_ID_WORKOUT_APP_HR_PULSE_TINY = 398,
  RESOURCE_ID_WORKOUT_APP_END = 399,
  RESOURCE_ID_WORKOUT_APP_ONE = 400,
  RESOURCE_ID_WORKOUT_APP_TWO = 401,
  RESOURCE_ID_WORKOUT_APP_THREE = 402,
  RESOURCE_ID_HEART_TINY = 403,
  RESOURCE_ID_HEART_SMALL = 404,
  RESOURCE_ID_HEART_LARGE = 405,
  RESOURCE_ID_BACKLIGHT = 406,
  RESOURCE_ID_AIRPLANE = 407,
  RESOURCE_ID_MODAL_CONTRACT_TO_MODAL_SEQUENCE = 408,
  RESOURCE_ID_MODAL_CONTRACT_FROM_MODAL_SEQUENCE = 409,
  RESOURCE_ID_MODAL_EXPAND_TO_APP_SEQUENCE = 410,
  RESOURCE_ID_NO_EVENTS_LARGE = 411,
  RESOURCE_ID_TIMER_APP_FACE_ICON = 412,
  RESOURCE_ID_STOPWATCH_APP_FACE_ICON = 413,
  RESOURCE_ID_ESPN_APP_FACE_ICON = 414,
  RESOURCE_ID_HEALTH_APP_FACE_ICON = 415,
  RESOURCE_ID_SEND_TEXT_APP_FACE_ICON = 416,
  RESOURCE_ID_QUIET_TIME_ACTIVE = 417,
  RESOURCE_ID_BATTERY_CHARGING_ICON = 418,
  RESOURCE_ID_HEALTH_ICON_MOON = 419,
  RESOURCE_ID_HEALTH_ICON_ROTATED_MOON = 420,
  RESOURCE_ID_STRIDE_HEART = 421,
  RESOURCE_ID_STRIDE_SHOE_GREEN = 422,
  RESOURCE_ID_STRIDE_SHOE_BLUE = 423,
  RESOURCE_ID_WEATHER_CHANNEL_LOGO = 424,
  RESOURCE_ID_SYSTEM_FCC_MARK = 425,
  RESOURCE_ID_SYSTEM_KCC_MARK = 426,
  RESOURCE_ID_SYSTEM_CE_MARK = 427,
  RESOURCE_ID_SYSTEM_WEEE_MARK = 428,
  RESOURCE_ID_SYSTEM_R_MARK = 429,
  RESOURCE_ID_SYSTEM_T_MARK = 430,
  RESOURCE_ID_SYSTEM_AUS_RCM_MARK = 431,
  RESOURCE_ID_SYSTEM_NOM_NYCE_MARK = 432,
  RESOURCE_ID_EMOJI_BIG_OPEN_SMILE_LARGE = 433,
  RESOURCE_ID_EMOJI_BIG_SMILE_LARGE = 434,
  RESOURCE_ID_EMOJI_HEART_LARGE = 435,
  RESOURCE_ID_EMOJI_KISSING_WITH_HEART_LARGE = 436,
  RESOURCE_ID_EMOJI_LAUGHING_WITH_TEARS_LARGE = 437,
  RESOURCE_ID_EMOJI_SAD_LARGE = 438,
  RESOURCE_ID_EMOJI_SMILING_BLUSH_LARGE = 439,
  RESOURCE_ID_EMOJI_SMILING_HEARTS_LARGE = 440,
  RESOURCE_ID_EMOJI_SMILING_WITH_TEETH_LARGE = 441,
  RESOURCE_ID_EMOJI_THUMBS_UP_LARGE = 442,
  RESOURCE_ID_EMOJI_WINK_LARGE = 443,
  RESOURCE_ID_EMOJI_WINK_TONGUE_LARGE = 444,
  RESOURCE_ID_VIBE_SCORE_REVEILLE = 445,
  RESOURCE_ID_VIBE_SCORE_HAPTIC_FEEDBACK = 446,
  RESOURCE_ID_VIBE_SCORE_NUDGE_NUDGE = 447,
  RESOURCE_ID_VIBE_SCORE_PULSE = 448,
  RESOURCE_ID_VIBE_SCORE_JACKHAMMER = 449,
  RESOURCE_ID_VIBE_SCORE_MARIO = 450,
  RESOURCE_ID_VIBE_SCORE_STANDARD_SHORT_LOW = 451,
  RESOURCE_ID_VIBE_SCORE_STANDARD_SHORT_HIGH = 452,
  RESOURCE_ID_VIBE_SCORE_STANDARD_LONG_LOW = 453,
  RESOURCE_ID_VIBE_SCORE_STANDARD_LONG_HIGH = 454,
  RESOURCE_ID_VIBE_SCORE_ALARM_LPM = 455,
  RESOURCE_ID_SMART_ALARM_ICON_BLACK = 456,
  RESOURCE_ID_BLE_HRM_SHARE_REQUEST_LARGE = 457,
  RESOURCE_ID_BLE_HRM_SHARED = 458,
  RESOURCE_ID_BLE_HRM_NOT_SHARED = 459,
  RESOURCE_ID_CONNECTIVITY_SHARING_HRM = 460,
  RESOURCE_ID_AGENCY_FB_46_NUMBERS_AM_PM = 461,
  RESOURCE_ID_AGENCY_FB_88_NUMBERS_AM_PM = 462,
  RESOURCE_ID_AGENCY_FB_88_THIN_NUMBERS_AM_PM = 463,
  RESOURCE_ID_STORED_APP_GOLF = 464,
  RESOURCE_ID_BT_BOOT_IMAGE = 465,
  RESOURCE_ID_BT_FW_IMAGE = 466,
  RESOURCE_ID_AS7000_FW_IMAGE = 467,
  RESOURCE_ID_TIMEZONE_DATABASE = 468,
  RESOURCE_ID_ACTION_BAR_ICON_CHECK = 469,
  RESOURCE_ID_GENERIC_WARNING_LARGE = 470,
  RESOURCE_ID_FONT_FALLBACK_INTERNAL = 471,
  RESOURCE_ID_ACTION_BAR_ICON_UP = 472,
  RESOURCE_ID_ACTION_BAR_ICON_DOWN = 473,
  RESOURCE_ID_GENERIC_WARNING_TINY = 474,
  RESOURCE_ID_CHECK_INTERNET_CONNECTION_LARGE = 475,
  RESOURCE_ID_WATCH_DISCONNECTED_LARGE = 476,
  RESOURCE_ID_ARROW_DOWN = 477,
  RESOURCE_ID_VOICE_MICROPHONE_LARGE = 478,
  RESOURCE_ID_ALARM_CLOCK_LARGE = 479,
  RESOURCE_ID_BATTERY_ICON_CHARGING_LARGE = 480,
  RESOURCE_ID_RESULT_DELETED_LARGE = 481,
  RESOURCE_ID_RESULT_SHREDDED_LARGE = 482,
  RESOURCE_ID_RESULT_DISMISSED_LARGE = 483,
  RESOURCE_ID_GENERIC_CONFIRMATION_LARGE = 484,
  RESOURCE_ID_INCOMING_PHONE_CALL_LARGE = 485,
  RESOURCE_ID_RESULT_MUTE_LARGE = 486,
  RESOURCE_ID_RESULT_SENT_LARGE = 487,
  RESOURCE_ID_RESULT_UNMUTE_LARGE = 488,
  RESOURCE_ID_JS_TICTOC = 489,
  RESOURCE_ID_PUG = 490,
  RESOURCE_ID_STRINGS = 491,
  RESOURCE_ID_GOTHIC_14_EXTENDED = 492,
  RESOURCE_ID_GOTHIC_14_BOLD_EXTENDED = 493,
  RESOURCE_ID_GOTHIC_18_EXTENDED = 494,
  RESOURCE_ID_GOTHIC_18_BOLD_EXTENDED = 495,
  RESOURCE_ID_GOTHIC_24_EXTENDED = 496,
  RESOURCE_ID_GOTHIC_24_BOLD_EXTENDED = 497,
  RESOURCE_ID_GOTHIC_28_EXTENDED = 498,
  RESOURCE_ID_GOTHIC_28_BOLD_EXTENDED = 499,
  RESOURCE_ID_BITHAM_18_LIGHT_SUBSET_EXTENDED = 500,
  RESOURCE_ID_BITHAM_30_BLACK_EXTENDED = 501,
  RESOURCE_ID_BITHAM_34_LIGHT_SUBSET_EXTENDED = 502,
  RESOURCE_ID_BITHAM_34_MEDIUM_NUMBERS_EXTENDED = 503,
  RESOURCE_ID_BITHAM_42_BOLD_EXTENDED = 504,
  RESOURCE_ID_BITHAM_42_LIGHT_EXTENDED = 505,
  RESOURCE_ID_BITHAM_42_MEDIUM_NUMBERS_EXTENDED = 506,
  RESOURCE_ID_ROBOTO_CONDENSED_21_EXTENDED = 507,
  RESOURCE_ID_ROBOTO_BOLD_SUBSET_49_EXTENDED = 508,
  RESOURCE_ID_DROID_SERIF_28_BOLD_EXTENDED = 509,
  RESOURCE_ID_GOTHIC_09_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_14_EMOJI_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_18_COMPRESSED_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_18_EMOJI_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_24_EMOJI_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_28_EMOJI_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_36_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_GOTHIC_36_BOLD_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_20_BOLD_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_26_BOLD_NUMBERS_AM_PM_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_32_BOLD_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_36_BOLD_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_38_BOLD_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_42_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_LECO_28_LIGHT_NUMBERS_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_AGENCY_FB_46_NUMBERS_AM_PM_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_AGENCY_FB_88_NUMBERS_AM_PM_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_AGENCY_FB_88_THIN_NUMBERS_AM_PM_EXTENDED = INVALID_RESOURCE,
  RESOURCE_ID_FONT_FALLBACK_INTERNAL_EXTENDED = INVALID_RESOURCE,
} ResourceId;