---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Pebble SDK 3.3 - Changelog
date: 2015-08-19
--- 

### Changes to Firmware

* Screenshots once again work reliably. The display will now freeze briefly while taking a screenshot.
* Added "relationship bars" to the timeline, which indicate whether events overlap, are
  back-to-back, or have time between them.
* Added the date to timeline day separators.
* Added groundwork for improved Android notification behavior (requires a future Android update).
* Further improved rendering of long paragraphs in timeline pins.
* Fixed MenuLayer animations in non-full-screen menu layers.
* Fixed a crash when passing ``data_logging_log`` a NULL pointer.
* Fixed timezone error in Chile.
* Resolved a privilege escalation exploit.

### Changes to SDK

* Added ``ActionMenu``, for easy hierarchical menus as seen in notifications, timeline, and
  throughout the system UI.
* Added ``app_focus_service_subscribe_handlers``, which enables apps to better synchronize with
  system animations.
* Exported ``property_animation_update_gcolor8``, for animating between colors.

### Changes to Pebble Tool

None.

### Changes to Emulator/Phonesim

None.

### Changes to Documentation

None.
